; reassembly of "stk500_90s8535.hex"
; created by ReAVR 2.4
; at 2003/09/27 - 16:17:58
; for Atmel AVR assembler
;---------------------------------------
	.cseg
	.org	0x0000
;---------------------------------------



;Trick Studio into thinking its a different version of STK500, know versions
;AVR Studio 3.56: Major = 0x01, Minor = 0x0A
;AVR Studio 4.07: Major = 0x02, Minor = 0x00

.equ MAJOR_VERSION = 0x02 ;what you want the major version to be
.equ MINOR_VERSION = 0x00 ;what you want the minor version to be

; byte constants:
;
.equ	k00	= 0x00	;
.equ	k01	= 0x01	;
.equ	k02	= 0x02	;
.equ	k03	= 0x03	;
.equ	k04	= 0x04	;
.equ	k05	= 0x05	;
.equ	k06	= 0x06	;
.equ	k07	= 0x07	;
.equ	k08	= 0x08	;
.equ	k0A	= 0x0A	;
.equ	k0B	= 0x0B	;
.equ	k0C	= 0x0C	;
.equ	k0D	= 0x0D	;
.equ	k0E	= 0x0E	;
.equ	k0F	= 0x0F	;
.equ	k10	= 0x10	;
.equ	k11	= 0x11	;
.equ	k12	= 0x12	;
.equ	k13	= 0x13	;
.equ	k14	= 0x14	;
.equ	k15	= 0x15	;
.equ	k16	= 0x16	;
.equ	k17	= 0x17	;
.equ	k18	= 0x18	;
.equ	k19	= 0x19	;
.equ	k1C	= 0x1C	;
.equ	k1E	= 0x1E	;
.equ	k1F	= 0x1F	;
.equ	k20	= 0x20	; ' '
.equ	k21	= 0x21	; '!'
.equ	k24	= 0x24	; '$'
.equ	k26	= 0x26	; '&'
.equ	k27	= 0x27	; '''
.equ	k28	= 0x28	; '('
.equ	k2C	= 0x2C	; ','
.equ	k2D	= 0x2D	; '-'
.equ	k30	= 0x30	; '0'
.equ	k31	= 0x31	; '1'
.equ	k32	= 0x32	; '2'
.equ	k33	= 0x33	; '3'
.equ	k38	= 0x38	; '8'
.equ	k3A	= 0x3A	; ':'
.equ	k3C	= 0x3C	; '<'
.equ	k3D	= 0x3D	; '='
.equ	k3F	= 0x3F	; '?'
.equ	k40	= 0x40	; '@'
.equ	k41	= 0x41	; 'A'
.equ	k45	= 0x45	; 'E'
.equ	k46	= 0x46	; 'F'
.equ	k48	= 0x48	; 'H'
.equ	k49	= 0x49	; 'I'
.equ	k4B	= 0x4B	; 'K'
.equ	k4C	= 0x4C	; 'L'
.equ	k50	= 0x50	; 'P'
.equ	k52	= 0x52	; 'R'
.equ	k53	= 0x53	; 'S'
.equ	k54	= 0x54	; 'T'
.equ	k56	= 0x56	; 'V'
.equ	k5C	= 0x5C	; '\'
.equ	k60	= 0x60	; '`'
.equ	k64	= 0x64	; 'd'
.equ	k68	= 0x68	; 'h'
.equ	k69	= 0x69	; 'i'
.equ	k6C	= 0x6C	; 'l'
.equ	k74	= 0x74	; 't'
.equ	k78	= 0x78	; 'x'
.equ	k7A	= 0x7A	; 'z'
.equ	k7C	= 0x7C	; '|'
.equ	k7F	= 0x7F	; ''
.equ	k80	= 0x80	;
.equ	k83	= 0x83	;
.equ	k84	= 0x84	;
.equ	k85	= 0x85	;
.equ	k86	= 0x86	;
.equ	k91	= 0x91	;
.equ	k98	= 0x98	;
.equ	kA0	= 0xA0	; ''
.equ	kA1	= 0xA1	; ''
.equ	kAC	= 0xAC	; ''
.equ	kB1	= 0xB1	; ''
.equ	kB6	= 0xB6	; ''
.equ	kB8	= 0xB8	; ''
.equ	kBA	= 0xBA	; ''
.equ	kBE	= 0xBE	; ''
.equ	kBF	= 0xBF	; ''
.equ	kC0	= 0xC0	; ''
.equ	kD1	= 0xD1	; ''
.equ	kDC	= 0xDC	; ''
.equ	kDF	= 0xDF	; ''
.equ	kE0	= 0xE0	; ''
.equ	kE1	= 0xE1	; ''
.equ	kE5	= 0xE5	; ''
.equ	kEB	= 0xEB	; ''
.equ	kEF	= 0xEF	; ''
.equ	kF0	= 0xF0	; ''
.equ	kF1	= 0xF1	; ''
.equ	kF7	= 0xF7	; ''
.equ	kF8	= 0xF8	; ''
.equ	kFA	= 0xFA	; ''
.equ	kFB	= 0xFB	; ''
.equ	kFD	= 0xFD	; ''
.equ	kFE	= 0xFE	; ''
.equ	kFF	= 0xFF	; ''
;
; io register addresses:
;
.equ	p00	= 0x00
.equ	p01	= 0x01
.equ	p04	= 0x04
.equ	p05	= 0x05
.equ	p06	= 0x06
.equ	p07	= 0x07
.equ	p09	= 0x09
.equ	p0A	= 0x0A
.equ	p0C	= 0x0C
.equ	p10	= 0x10
.equ	p11	= 0x11
.equ	p12	= 0x12
.equ	p13	= 0x13
.equ	p14	= 0x14
.equ	p15	= 0x15
.equ	p16	= 0x16
.equ	p17	= 0x17
.equ	p18	= 0x18
.equ	p1A	= 0x1A
.equ	p1B	= 0x1B
.equ	p1C	= 0x1C
.equ	p1D	= 0x1D
.equ	p1E	= 0x1E
.equ	p1F	= 0x1F
.equ	p23	= 0x23
.equ	p24	= 0x24
.equ	p25	= 0x25
.equ	p28	= 0x28
.equ	p29	= 0x29
.equ	p2A	= 0x2A
.equ	p2B	= 0x2B
.equ	p2E	= 0x2E
.equ	p2F	= 0x2F
.equ	p32	= 0x32
.equ	p33	= 0x33
.equ	p35	= 0x35
.equ	p39	= 0x39
.equ	p3D	= 0x3D
.equ	p3E	= 0x3E
.equ	p3F	= 0x3F
;
; pointer offsets:
;
.equ	o00	= 0x00
.equ	o01	= 0x01
.equ	o02	= 0x02
.equ	o03	= 0x03
.equ	o04	= 0x04
.equ	o05	= 0x05
.equ	o06	= 0x06
.equ	o07	= 0x07
.equ	o08	= 0x08
.equ	o09	= 0x09
.equ	o0A	= 0x0A
.equ	o0B	= 0x0B
.equ	o0C	= 0x0C
.equ	o0D	= 0x0D
.equ	o0E	= 0x0E
.equ	o0F	= 0x0F
.equ	o11	= 0x11
.equ	o31	= 0x31
;
; bit numbers
;
.equ	b0	= 0x00
.equ	b1	= 0x01
.equ	b2	= 0x02
.equ	b3	= 0x03
.equ	b4	= 0x04
.equ	b5	= 0x05
.equ	b6	= 0x06
.equ	b7	= 0x07
;---------------------------------------
;
L0000:
	rjmp	_reset	; L0013
	.dw	0xFFFF	; pc=0x0001(0x0002)
	.dw	0xFFFF	; pc=0x0002(0x0004)
	.dw	0xFFFF	; pc=0x0003(0x0006)
	.dw	0xFFFF	; pc=0x0004(0x0008)
	.dw	0xFFFF	; pc=0x0005(0x000A)
	.dw	0xFFFF	; pc=0x0006(0x000C)
	.dw	0xFFFF	; pc=0x0007(0x000E)
	.dw	0xFFFF	; pc=0x0008(0x0010)
	.dw	0xCCEB	; pc=0x0009(0x0012)
	.dw	0xFFFF	; pc=0x000A(0x0014)
	.dw	0xCE47	; pc=0x000B(0x0016)
	.dw	0xCE63	; pc=0x000C(0x0018)
	.dw	0xFFFF	; pc=0x000D(0x001A)
	.dw	0xFFFF	; pc=0x000E(0x001C)
	.dw	0xFFFF	; pc=0x000F(0x001E)
	.dw	0xFFFF	; pc=0x0010(0x0020)
	ldi	r16,kC0
	out	p35,r16
;
_reset:
; L0013:
	ldi	r28,k1C
	ldi	r29,k01
	ldi	r16,k7C
	subi	r16,k01
	out	p3D,r16
	ldi	r16,k00
	sbci	r16,k00
	out	p3E,r16
	.dw	0xDCAF	; pc=0x001B(0x0036)
	tst	r16
	brne	L001F
	rcall	L003E
L001F:
	ldi	r30,k60
	ldi	r31,k00
	ldi	r16,k00
	ldi	r17,k00
	.dw	0xDF0E	; pc=0x0023(0x0046)
	ldi	r30,k80
	ldi	r31,k00
	ldi	r16,k60
	ldi	r17,k00
	ldi	r20,k00
	ldi	r21,k00
	.dw	0xDEF9	; pc=0x002A(0x0054)
	ldi	r30,k20
	ldi	r31,k01
	ldi	r16,k3C
	ldi	r17,k01
	.dw	0xDF02	; pc=0x002F(0x005E)
	ldi	r30,k80
	ldi	r31,k00
	ldi	r16,k1C
	ldi	r17,k01
	ldi	r20,k04
	ldi	r21,k00
	.dw	0xDEED	; pc=0x0036(0x006C)
	ldi	r30,k84
	ldi	r31,k00
	ldi	r16,k5C
	ldi	r17,k02
	ldi	r20,k00
	ldi	r21,k00
	.dw	0xDEE6	; pc=0x003D(0x007A)
L003E:
	.dw	0xD934	; pc=0x003E(0x007C)
	.dw	0xCE67	; pc=0x003F(0x007E)
	nop
	nop
	movw	r6,r0
	add	r6,r11
	add	r6,r1
	ldi	r16,kE1
	movw	r0,r22
	add	r3,r9
	sbci	r16,k41
	add	r16,r12
	sbc	r5,r19
	out	p01,r0
	movw	r0,r20
	sbc	r27,r24
	.dw	0xCB01	; pc=0x004E(0x009C)
	muls	r16,r19
	sbc	r27,r28
	rcall	L015D
	movw	r0,r22
	sbc	r30,r24
	andi	r16,k11
	movw	r0,r22
	sbc	r1,r24
	adc	r16,r1
	movw	r0,r20
	sbc	r15,r31
	eor	r16,r1
	sbc	r0,r28
	sbc	r16,r25
	cpi	r16,kF1
	movw	r0,r22
	sbc	r24,r29
	ldd	r16,Z+o31
	movw	r0,r22
	sbc	r21,r22
	sbi	p00,b1
	sbc	r16,r27
	sbc	r18,r16
	sbci	r16,k91
	movw	r0,r22
	sbc	r23,r23
	in	r16,p01
	movw	r0,r22
	sbc	r22,r19
	cpc	r0,r17
	movw	r0,r24
	add	r1,r5
	std	Z+o01,r16
	movw	r0,r22
	add	r1,r12
	.dw	0x00FB	; pc=0x0072(0x00E4)
	ldi	r16,k30
	sbc	r0,r11
	cpi	r16,k30
	cpi	r16,k7A
	cpi	r16,kBA
	cpi	r16,kFA
	sbci	r16,k3A
	sbci	r16,k7A
	sbci	r16,kBA
	sbci	r16,kFA
	std	Y+o02,r16
	ldi	r16,k31
	subi	r16,kEB
	movw	r0,r20
	sbc	r8,r16
	std	Z+o11,r0
	movw	r0,r20
	sbc	r9,r21
	sbis	p00,b1
	movw	r0,r20
	sbc	r10,r19
	ldd	r16,Z+o31
	add	r0,r26
	sbc	r7,r30
	ldd	r15,Y+o03
	sbrc	r0,b2
	cpse	r0,r26
	cpi	r16,kA0
	adc	r0,r14
	cp	r1,r26
	add	r1,r3
	cpc	r0,r25
	.dw	0x0003	; pc=0x0093(0x0126)
	nop
	nop
	cpse	r0,r0
	.dw	0x000E	; pc=0x0097(0x012E)
	lsl	r16
	cpc	r16,r0
	lsl	r16
	lsl	r16
	cpc	r16,r16
	mulsu	r16,r16
	movw	r0,r0
	mulsu	r16,r16
	movw	r0,r0
	movw	r0,r0
	mulsu	r16,r16
	nop
	nop
	mulsu	r16,r16
	nop
	cpc	r0,r0
	cpc	r25,r0
	cpc	r9,r16
	cpc	r9,r16
	cpc	r25,r17
	movw	r18,r2
	movw	r18,r0
	muls	r17,r17
	fmuls	r17,r17
	cpc	r25,r1
	fmuls	r17,r17
	movw	r18,r4
	movw	r18,r4
	muls	r17,r19
	fmuls	r17,r18
	movw	r18,r6
	movw	r18,r10
	muls	r17,r20
	movw	r18,r8
	muls	r17,r23
	cpc	r0,r17
	cpc	r5,r17
	sub	r21,r18
	sub	r17,r22
	sub	r17,r27
	sub	r17,r27
	sub	r17,r27
	sub	r17,r27
	sub	r17,r27
	sub	r17,r27
	sub	r17,r27
	sub	r17,r27
	or	r1,r11
	.dw	0xFF28	; pc=0x00C8(0x0190)
	ldi	r16,k07
	out	p07,r16
	ldi	r16,k83
	out	p06,r16
	sbi	p06,b6
	ret
; pc=0xCF(0x19E)
;
	ldi	r16,k07
	out	p07,r16
	sbi	p06,b6
	ldi	r16,k20
L00D3:
	sbic	p06,b4
	rjmp	L00D7
	dec	r16
	brne	L00D3
L00D7:
	ldi	r30,k1C
	ldi	r31,k01
	rcall	L00E4
	ldi	r16,k06
	out	p07,r16
	sbi	p06,b6
	ldi	r16,k20
L00DE:
	sbic	p06,b4
	rjmp	L00E2
	dec	r16
	brne	L00DE
L00E2:
	ldi	r30,k1E
	ldi	r31,k01
L00E4:
	in	r16,p04
	in	r17,p05
	ldd	r18,Z+o00
	ldd	r19,Z+o01
	add	r18,r16
	adc	r19,r17
	std	Z+o00,r18
	std	Z+o01,r19
	ret
; pc=0xED(0x1DA)
;
L00ED:
	sbic	p1C,b1
	rjmp	L00ED
	cli
	ldi	r17,k00
	out	p1F,r17
	out	p1E,r16
	out	p1D,r20
	sbi	p1C,b2
	sbi	p1C,b1
	sei
	ret
; pc=0xF8(0x1F0)
;
L00F8:
	sbic	p1C,b1
	rjmp	L00F8
	ldi	r17,k00
	out	p1F,r17
	out	p1E,r16
	sbi	p1C,b0
	in	r16,p1D
	ret
; pc=0x100(0x200)
;
	.dw	0xDE45	; pc=0x0100(0x0200)
	.dw	0xDD84	; pc=0x0101(0x0202)
	sts	D0126,r16
	.dw	0xDD81	; pc=0x0104(0x0208)
	sts	D0127,r16
	rcall	L0145
	bld	r16,b0
	rcall	L0144
	bld	r16,b1
	rcall	L0144
	bld	r16,b2
	rcall	L0144
	bld	r16,b3
	rcall	L0144
	bld	r16,b4
	std	Z+o02,r16
	mov	r24,r16
	andi	r24,k1F
	.dw	0xDD71	; pc=0x0114(0x0228)
	andi	r16,k07
	swap	r16
	andi	r16,kF0
	lsl	r16
	or	r24,r16
	sts	D0128,r24
	.dw	0xDD69	; pc=0x011C(0x0238)
	sts	D0129,r16
	.dw	0xDD66	; pc=0x011F(0x023E)
	sts	D012A,r16
	.dw	0xDD63	; pc=0x0122(0x0244)
	sts	D012B,r16
	.dw	0xDD60	; pc=0x0125(0x024A)
	sts	D012C,r16
	.dw	0xDD5D	; pc=0x0128(0x0250)
	mov	r25,r16
	.dw	0xDD5B	; pc=0x012A(0x0254)
	sts	D012D,r16
	sts	D012E,r25
	.dw	0xDD56	; pc=0x012F(0x025E)
	mov	r25,r16
	.dw	0xDD54	; pc=0x0131(0x0262)
	sts	D0130,r16
	sts	D0131,r25
	.dw	0xDD4F	; pc=0x0136(0x026C)
	mov	r27,r16
	.dw	0xDD4D	; pc=0x0138(0x0270)
	mov	r26,r16
	.dw	0xDD4B	; pc=0x013A(0x0274)
	mov	r25,r16
	.dw	0xDD49	; pc=0x013C(0x0278)
	rcall	L0152
	std	Z+o0C,r16
	std	Z+o0D,r25
	std	Z+o0E,r26
	std	Z+o0F,r27
	ldi	r30,k04
	.dw	0xCE13	; pc=0x0143(0x0286)
L0144:
	std	Z+o02,r16
L0145:
	.dw	0xDD40	; pc=0x0145(0x028A)
	bst	r16,b0
	ldi	r30,k26
	ldi	r31,k01
	ldd	r16,Z+o02
	ret
; pc=0x14B(0x296)
;
L014B:
	mov	r24,r20
L014C:
	ldi	r30,k26
	ldi	r31,k01
	ldd	r16,Z+o02
	clt
	ret
; pc=0x151(0x2A2)
;
L0151:
	.dw	0xDD44	; pc=0x0151(0x02A2)
L0152:
	ldi	r30,k26
	ldi	r31,k01
	ret
; pc=0x155(0x2AA)
;
	lds	r16,D0126
	.dw	0xDD3E	; pc=0x0157(0x02AE)
	lds	r16,D0127
	rcall	L0151
	rcall	L019A
	sbrc	r17,b0
L015D:
	inc	r16
	rcall	L0151
	rcall	L019A
	sbrc	r17,b1
	inc	r16
	rcall	L0151
	rcall	L019A
	sbrc	r17,b2
	inc	r16
	rcall	L0151
	rcall	L019A
	sbrc	r17,b3
	inc	r16
	rcall	L0151
	rcall	L019A
	sbrc	r17,b4
	inc	r16
	.dw	0xDD27	; pc=0x016E(0x02DC)
	lds	r16,D0128
	swap	r16
	andi	r16,k0F
	lsr	r16
	.dw	0xDD21	; pc=0x0174(0x02E8)
	lds	r16,D0129
	.dw	0xDD1E	; pc=0x0177(0x02EE)
	lds	r16,D012A
	.dw	0xDD1B	; pc=0x017A(0x02F4)
	lds	r16,D012B
	.dw	0xDD18	; pc=0x017D(0x02FA)
	lds	r16,D012C
	.dw	0xDD15	; pc=0x0180(0x0300)
	lds	r17,D012E
	mov	r16,r17
	.dw	0xDD11	; pc=0x0184(0x0308)
	lds	r16,D012D
	.dw	0xDD0E	; pc=0x0187(0x030E)
	lds	r17,D0131
	mov	r16,r17
	.dw	0xDD0A	; pc=0x018B(0x0316)
	lds	r16,D0130
	rcall	L0151
	ldd	r19,Z+o0F
	mov	r16,r19
	rcall	L0151
	ldd	r18,Z+o0E
	mov	r16,r18
	rcall	L0151
	ldd	r17,Z+o0D
	mov	r16,r17
	rcall	L0151
	ldd	r16,Z+o0C
	.dw	0xCCFC	; pc=0x0199(0x0332)
L019A:
	ldd	r17,Z+o02
	ldi	r16,k00
	ret
; pc=0x19D(0x33A)
;
	.dw	0xDDAA	; pc=0x019D(0x033A)
	rcall	L028E
	rcall	L014C
	sbrs	r16,b0
	set
	brtc	L01A4
	rjmp	L0208
L01A4:
	lds	r16,D0139
	cpi	r16,k2D
	brcs	L01AA
	cpi	r16,k38
	brcs	L01AB
L01AA:
	rjmp	L0272
L01AB:
	ldd	r16,Z+o02
	clt
	sbrs	r16,b1
	set
	sbi	p12,b2
	cbi	p12,b3
	brts	L01E2
	rcall	L0298
	in	r16,p25
	andi	r16,kEF
	out	p25,r16
	rcall	L027B
	sbi	p12,b7
	brne	L01CD
	cbi	p15,b4
	ldi	r16,kBF
	out	p14,r16
	cbi	p15,b3
	cbi	p15,b2
	cbi	p15,b1
	cbi	p15,b0
	ldi	r16,kFF
	out	p17,r16
	ldi	r16,k0A
	.dw	0xDC70	; pc=0x01C3(0x0386)
	rcall	L07EA
	sbi	p12,b3
	cbi	p12,b2
	rcall	L0298
	sbi	p15,b5
	sbi	p15,b2
	sbi	p15,b1
	sbi	p15,b0
	rjmp	L0263
L01CD:
	sbi	p15,b2
	sbi	p15,b3
	ldi	r16,kFD
	out	p14,r16
	rcall	L02A8
	com	r17
	and	r16,r17
	out	p15,r16
	ldi	r16,kFF
	out	p17,r16
	rcall	L0298
	sbi	p12,b3
	cbi	p12,b2
	rcall	L0298
	rcall	L07EA
	rcall	L07EA
	rcall	L07EA
	rcall	L07EA
	rcall	L07EA
	rcall	L07EA
	rjmp	L0263
L01E2:
	rcall	L02AD
	in	r16,p25
	andi	r16,kEF
	out	p25,r16
	sbi	p12,b7
	ldi	r16,k03
	out	p17,r16
	cbi	p18,b0
	rcall	L0298
	rcall	L07EA
	rcall	L07EA
	rcall	L07EA
	rcall	L07EA
	lds	r16,D0126
	cpi	r16,k12
	breq	L01F5
	cpi	r16,k13
	brne	L0203
L01F5:
	ldi	r20,k00
	ldi	r16,k84
	rcall	L095D
	rcall	L02AD
	cli
	lds	r20,D0138
	ldi	r16,k84
	rcall	L095D
	sbi	p12,b3
	cbi	p12,b2
	sei
	rcall	L02AD
	rjmp	L0263
L0203:
	rcall	L0298
	sbi	p12,b3
	cbi	p12,b2
	rcall	L0298
	rjmp	L0263
L0208:
	rcall	L027F
	lds	r16,D0141
	brcs	L0234
	sbrc	r16,b0
	rjmp	L0211
	cbi	p12,b3
	cbi	p12,b2
	rjmp	L0213
L0211:
	sbi	p11,b2
	sbi	p12,b2
L0213:
	rcall	L0298
	rcall	L0294
	lds	r16,D0141
	sbrc	r16,b0
	rjmp	L021C
	sbi	p12,b2
	cbi	p12,b3
	rjmp	L021D
L021C:
	cbi	p12,b2
L021D:
	rcall	L0298
	lds	r16,D0141
	sbrc	r16,b0
	rjmp	L0225
	cbi	p12,b3
	cbi	p12,b2
	rjmp	L0226
L0225:
	sbi	p12,b2
L0226:
	rcall	L0298
	ldi	r16,k03
	.dw	0xDC0F	; pc=0x0228(0x0450)
	rcall	L02AF
	ldi	r16,k00
	rcall	L081E
	mov	r24,r16
	rcall	L02BA
	tst	r16
	brne	L0231
	rjmp	L0276
L0231:
	cpi	r24,k69
	breq	L0263
	rjmp	L026F
L0234:
	sbrc	r16,b0
	rjmp	L0239
	sbi	p12,b2
	cbi	p12,b3
	rjmp	L023B
L0239:
	sbi	p11,b2
	cbi	p12,b2
L023B:
	rcall	L0298
	rcall	L0294
	lds	r16,D0141
	sbrc	r16,b0
	rjmp	L0244
	cbi	p12,b3
	cbi	p12,b2
	rjmp	L0245
L0244:
	sbi	p12,b2
L0245:
	rcall	L0298
	lds	r16,D0141
	sbrc	r16,b0
	rjmp	L024D
	sbi	p12,b2
	cbi	p12,b3
	rjmp	L024E
L024D:
	cbi	p12,b2
L024E:
	rcall	L0298
	ldi	r16,k03
	.dw	0xDBE7	; pc=0x0250(0x04A0)
	rcall	L0283
	brne	L0255
	ldi	r25,k01
	rjmp	L0256
L0255:
	ldi	r25,k20
L0256:
	tst	r25
	breq	L026F
	rcall	L02AF
	mov	r24,r16
	ldi	r16,k00
	rcall	L081E
	rcall	L0283
	breq	L0260
	cpi	r24,k53
	brne	L026C
L0260:
	rcall	L02BA
	tst	r16
	breq	L0276
L0263:
	rcall	L028E
	ori	r16,k20
	sts	D0142,r16
	ori	r16,k40
	sts	D0142,r16
	ldi	r16,k0D
	rjmp	L0277
L026C:
	rcall	L029A
	rcall	L02A5
	rjmp	L0256
L026F:
	in	r16,p25
	ori	r16,k10
	out	p25,r16
L0272:
	rcall	L0287
	andi	r16,kFD
	sts	D0142,r16
L0276:
	ldi	r16,k00
L0277:
	ldi	r30,k02
	.dw	0xCCE0	; pc=0x0278(0x04F0)
L0279:
	rcall	L02B5
	rcall	L039C
L027B:
	lds	r16,D0126
	cpi	r16,k21
	ret
; pc=0x27F(0x4FE)
;
L027F:
	lds	r16,D0126
	cpi	r16,kE0
	ret
; pc=0x283(0x506)
;
L0283:
	lds	r16,D0126
	cpi	r16,k33
	ret
; pc=0x287(0x50E)
;
L0287:
	lds	r16,D0142
	andi	r16,kDF
	sts	D0142,r16
	ori	r16,k40
	rjmp	L0291
L028E:
	lds	r16,D0142
	ori	r16,k02
L0291:
	sts	D0142,r16
	ret
; pc=0x294(0x528)
;
L0294:
	ldi	r16,kA0
	out	p17,r16
	cbi	p18,b7
	cbi	p18,b5
L0298:
	ldi	r16,k64
	.dw	0xCB9A	; pc=0x0299(0x0532)
L029A:
	nop
	nop
	sbi	p18,b7
	lds	r16,D013D
	.dw	0xDB94	; pc=0x029F(0x053E)
	cbi	p18,b7
	lds	r16,D013D
	ret
; pc=0x2A4(0x548)
;
L02A4:
	ldi	r16,k05
L02A5:
	.dw	0xDB8E	; pc=0x02A5(0x054A)
	dec	r25
	ret
; pc=0x2A8(0x550)
;
L02A8:
	cbi	p15,b4
L02A9:
	in	r16,p15
	lds	r17,D0137
	ret
; pc=0x2AD(0x55A)
;
L02AD:
	ldi	r16,k02
	.dw	0xCB89	; pc=0x02AE(0x055C)
L02AF:
	ldi	r16,kAC
	rcall	L081E
	ldi	r16,k53
	rcall	L081E
	ldi	r16,k00
	rjmp	L081E
L02B5:
	lds	r20,D0123
	lds	r16,D0124
	ret
; pc=0x2BA(0x574)
;
L02BA:
	.dw	0xDC8D	; pc=0x02BA(0x0574)
	ldi	r20,k00
	ldi	r16,k01
	rcall	L0577
	mov	r25,r16
	ldi	r20,k00
	ldi	r16,k02
	rcall	L0577
	mov	r24,r16
	ldi	r19,k00
	ldi	r18,k00
L02C5:
	mov	r30,r19
	ldi	r31,k00
	lsl	r30
	rol	r31
	subi	r30,kB1
	sbci	r31,kFE
	lpm
	mov	r16,r0
	adiw	r30,k01
	lpm
	cp	r16,r24
	cpc	r0,r25
	brne	L02D3
	ldi	r18,k01
L02D3:
	inc	r19
	cpi	r19,k16
	brcc	L02D8
	tst	r18
	breq	L02C5
L02D8:
	tst	r18
	breq	L02E6
	mov	r30,r19
	ldi	r31,k00
	subi	r30,k86
	sbci	r31,kFE
	lpm
	lds	r16,D0139
	cp	r16,r0
	brcc	L02E6
	rcall	L0287
	ldi	r16,k00
	rjmp	L02E7
L02E6:
	ldi	r16,k01
L02E7:
	ldi	r30,k02
	.dw	0xCC70	; pc=0x02E8(0x05D0)
L02E9:
	rcall	L027F
	lds	r16,D0141
	brcc	L02F2
	sbrc	r16,b0
	rjmp	L02F5
	sbi	p12,b2
	cbi	p12,b3
	rjmp	L02F8
L02F2:
	sbrc	r16,b0
	rjmp	L02F7
	cbi	p12,b3
L02F5:
	cbi	p12,b2
	rjmp	L02F8
L02F7:
	sbi	p12,b2
L02F8:
	rcall	L02AD
	ldi	r16,k00
	out	p17,r16
	out	p18,r16
	out	p14,r16
	out	p15,r16
	in	r16,p25
	ori	r16,k10
	out	p25,r16
	lds	r16,D0142
	ori	r16,k20
	sts	D0142,r16
	andi	r16,kBF
	sts	D0142,r16
	ldi	r16,k00
	sts	D0120,r16
	lds	r16,D0142
	andi	r16,kFD
	sts	D0142,r16
	ldi	r16,k05
	.dw	0xDB25	; pc=0x0312(0x0624)
	rcall	L027F
	lds	r16,D0141
	brcc	L031E
	sbrc	r16,b0
	rjmp	L031C
	cbi	p12,b3
	cbi	p12,b2
	rjmp	L0327
L031C:
	sbi	p12,b2
	rjmp	L0324
L031E:
	sbrc	r16,b0
	rjmp	L0323
	sbi	p12,b2
	cbi	p12,b3
	rjmp	L0327
L0323:
	cbi	p12,b2
L0324:
	cbi	p11,b2
	cbi	p17,b5
	cbi	p17,b7
L0327:
	ldi	r16,k02
	.dw	0xCB0F	; pc=0x0328(0x0650)
	st	-Y,r24
	rcall	L014C
	sbrs	r16,b0
	set
	brts	L0365
	clt
	sbrs	r16,b1
	set
	brts	L0353
	ldi	r16,k80
	rcall	L070A
	lds	r16,D0128
	sbrc	r16,b3
	rjmp	L0349
	rcall	L027B
	brne	L033C
	cbi	p15,b0
	rjmp	L033D
L033C:
	cbi	p15,b3
L033D:
	rcall	L037C
	brne	L0341
	ldi	r16,k02
	rjmp	L0342
L0341:
	ldi	r16,k32
L0342:
	.dw	0xDAF5	; pc=0x0342(0x0684)
	rcall	L027B
	brne	L0347
	sbi	p15,b0
	rjmp	L0377
L0347:
	sbi	p15,b3
	rjmp	L0377
L0349:
	rcall	L027B
	brne	L034E
	cbi	p15,b0
	sbi	p15,b0
	rjmp	L0350
L034E:
	cbi	p15,b3
	sbi	p15,b3
L0350:
	ldi	r16,k28
	rcall	L0793
	rjmp	L037A
L0353:
	ldi	r20,k4C
	ldi	r16,k80
	rcall	L0389
	rcall	L0752
	lds	r16,D0128
	sbrc	r16,b3
	rjmp	L035F
	rcall	L02AD
	rcall	L038E
	ldi	r24,k0D
	rjmp	L0362
L035F:
	rcall	L038E
	ldi	r16,k28
	rcall	L0396
L0362:
	rcall	L0399
	mov	r16,r24
	rjmp	L037A
L0365:
	sbrc	r16,b0
	rjmp	L0379
	ldi	r16,k00
	st	-Y,r16
	st	-Y,r16
	ldi	r20,k80
	ldi	r16,kAC
	rcall	L0831
	rcall	L027F
	brcc	L0375
	rcall	L037C
	breq	L0373
	ldi	r16,k0B
	rjmp	L0376
L0373:
	ldi	r16,k02
	rjmp	L0376
L0375:
	ldi	r16,k32
L0376:
	.dw	0xDAC1	; pc=0x0376(0x06EC)
L0377:
	ldi	r16,k0D
	rjmp	L037A
L0379:
	ldi	r16,k00
L037A:
	ld	r24,Y+
	ret
; pc=0x37C(0x6F8)
;
L037C:
	rcall	L0391
	or	r16,r17
	ret
; pc=0x37F(0x6FE)
;
L037F:
	ldi	r16,k00
	st	-Y,r16
	lds	r16,D0123
L0383:
	st	-Y,r16
	lds	r20,D0124
	ret
; pc=0x387(0x70E)
;
L0387:
	ldi	r20,k2C
	mov	r16,r24
L0389:
	rcall	L0752
	ldi	r20,k64
	ldi	r16,k00
	ret
; pc=0x38D(0x71A)
;
L038D:
	rcall	L0752
L038E:
	ldi	r20,k6C
	ldi	r16,k00
	rjmp	L0752
L0391:
	lds	r16,D012D
	lds	r17,D012E
	ret
; pc=0x396(0x72C)
;
L0396:
	rcall	L0793
	mov	r24,r16
	ret
; pc=0x399(0x732)
;
L0399:
	ldi	r20,k4C
L039A:
	ldi	r16,k00
	rjmp	L0752
L039C:
	.dw	0xDBAB	; pc=0x039C(0x0738)
	mov	r25,r16
	rcall	L014B
	sbrs	r16,b0
	set
	brts	L03BB
	clt
	sbrs	r16,b1
	set
	brts	L03BB
	rcall	L027B
	brne	L03B2
	cbi	p15,b2
	cbi	p15,b1
	cbi	p15,b3
	out	p18,r24
	rcall	L07EA
	sbi	p15,b3
	out	p18,r25
	rcall	L07EA
	cbi	p15,b3
	rjmp	L03BB
L03B2:
	cbi	p15,b6
	cbi	p15,b5
	cbi	p15,b4
	out	p18,r24
	rcall	L07EA
	sbi	p15,b4
	out	p18,r25
	rcall	L07EA
	cbi	p15,b4
L03BB:
	sts	D0123,r24
	sts	D0124,r25
	ldi	r30,k02
	.dw	0xCB98	; pc=0x03C0(0x0780)
L03C1:
	.dw	0xDB85	; pc=0x03C1(0x0782)
	sbiw	r28,k03
	mov	r26,r16
	rcall	L014B
	sbrs	r16,b0
	set
	brtc	L03C9
	rjmp	L0415
L03C9:
	clt
	sbrs	r16,b1
	set
	lds	r16,D0120
	cpi	r16,k10
	brts	L03FA
	breq	L03D3
	ldi	r16,k10
	rcall	L070A
L03D3:
	tst	r24
	lds	r16,D0126
	breq	L03DD
	cpi	r16,k21
	brne	L03DB
	sbi	p15,b3
	rjmp	L03E2
L03DB:
	sbi	p15,b4
	rjmp	L03E2
L03DD:
	cpi	r16,k21
	brne	L03E1
	cbi	p15,b3
	rjmp	L03E2
L03E1:
	cbi	p15,b4
L03E2:
	mov	r16,r26
	rcall	L06F2
	rcall	L037C
	lds	r16,D0126
	breq	L03F2
	cpi	r16,k21
	brne	L03F0
	cbi	p15,b1
	cbi	p15,b2
	cbi	p15,b3
	sbi	p15,b3
	cbi	p15,b3
	rjmp	L048E
L03F0:
	rcall	L04AB
	rjmp	L048E
L03F2:
	cpi	r16,k21
	brne	L03F7
	cbi	p15,b0
	sbi	p15,b0
	rjmp	L0412
L03F7:
	cbi	p15,b3
	sbi	p15,b3
	rjmp	L0412
L03FA:
	breq	L0401
	ldi	r20,k4C
	ldi	r16,k10
	rcall	L0752
	ldi	r16,k10
	sts	D0120,r16
L0401:
	rcall	L04A0
	rcall	L0752
	tst	r24
	breq	L040C
	ldi	r20,k3C
	mov	r16,r26
	rcall	L0752
	ldi	r20,k74
	rcall	L039A
	ldi	r20,k7C
	rjmp	L0411
L040C:
	ldi	r20,k2C
	mov	r16,r26
	rcall	L0389
	rcall	L0752
	ldi	r20,k6C
L0411:
	rcall	L039A
L0412:
	ldi	r16,k0A
	rcall	L0793
	rjmp	L0499
L0415:
	sbrc	r16,b0
	rjmp	L0498
	tst	r24
	st	-Y,r26
	rcall	L04A8
	breq	L041D
	ldi	r16,k48
	rjmp	L041E
L041D:
	ldi	r16,k40
L041E:
	rcall	L0831
	rcall	L0283
	brne	L045D
	rcall	L049C
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	rcall	L049D
	.dw	0xD9D7	; pc=0x045C(0x08B8)
L045D:
	rcall	L037C
	breq	L0474
	lds	r16,D0129
	cp	r26,r16
	breq	L048E
	lds	r16,D012A
	cp	r26,r16
	breq	L048E
	lds	r16,D0123
	lsl	r16
	sts	D0121,r16
	tst	r24
	breq	L0471
	inc	r16
	sts	D0121,r16
L0471:
	sts	D0122,r26
	rjmp	L048E
L0474:
	lds	r16,D0128
	sbrs	r16,b2
	rjmp	L0490
	lds	r16,D0129
	cp	r26,r16
	breq	L0490
	lds	r16,D012A
	cp	r26,r16
	breq	L0490
	tst	r24
	breq	L0484
	ldi	r24,k28
	rjmp	L0485
L0484:
	ldi	r24,k20
L0485:
	ldi	r25,k64
L0486:
	rcall	L037F
	mov	r16,r24
	rcall	L0831
	cp	r16,r26
	breq	L048E
	rcall	L02A4
	brne	L0486
	rjmp	L0498
L048E:
	ldi	r16,k0D
	rjmp	L0499
L0490:
	rcall	L027F
	brcc	L0494
	rcall	L02AD
	rjmp	L0498
L0494:
	rcall	L049C
	rcall	L049D
	rcall	L049D
	.dw	0xD99C	; pc=0x0497(0x092E)
L0498:
	ldi	r16,k00
L0499:
	adiw	r28,k03
	ldi	r30,k03
	.dw	0xCABC	; pc=0x049B(0x0936)
L049C:
	ldi	r16,kFF
L049D:
	.dw	0xD996	; pc=0x049D(0x093A)
	ldi	r16,kFF
	ret
; pc=0x4A0(0x940)
;
L04A0:
	ldi	r20,k1C
	lds	r16,D0124
	rcall	L0752
	ldi	r20,k0C
	lds	r16,D0123
	ret
; pc=0x4A8(0x950)
;
L04A8:
	lds	r16,D0123
L04AA:
	rjmp	L0383
L04AB:
	lds	r16,D0136
	in	r17,p15
	or	r17,r16
	com	r16
	in	r18,p15
	and	r16,r18
	out	p15,r17
	nop
	out	p15,r16
	ret
; pc=0x4B6(0x96C)
;
L04B6:
	.dw	0xDA91	; pc=0x04B6(0x096C)
	rcall	L037C
	breq	L04F8
	rcall	L014C
	sbrs	r16,b0
	set
	brts	L04C8
	rcall	L0279
	brne	L04C2
	cbi	p15,b0
	sbi	p15,b0
	rjmp	L04C4
L04C2:
	cbi	p15,b3
	sbi	p15,b3
L04C4:
	ldi	r16,k64
	rcall	L0502
	mov	r16,r24
	rjmp	L04FB
L04C8:
	sbrc	r16,b0
	rjmp	L04FA
	rcall	L037F
	ldi	r16,k4C
	rcall	L0831
	lds	r16,D0128
	sbrs	r16,b2
	rjmp	L04F6
	lds	r16,D0121
	sbrs	r16,b0
	rjmp	L04D7
	ldi	r24,k28
	rjmp	L04D8
L04D7:
	ldi	r24,k20
L04D8:
	lsr	r16
	sts	D0121,r16
	rcall	L04FD
	rcall	L0505
	mov	r25,r16
	com	r25
	lds	r16,D0123
	and	r25,r16
	lds	r16,D0121
	or	r16,r25
	sts	D0121,r16
	ldi	r25,k64
L04E8:
	ldi	r16,k00
	st	-Y,r16
	lds	r16,D0121
	rcall	L04AA
	mov	r16,r24
	rcall	L0831
	lds	r17,D0122
	cp	r16,r17
	breq	L04F8
	rcall	L02A4
	brne	L04E8
	rjmp	L04FA
L04F6:
	ldi	r16,k14
	.dw	0xD940	; pc=0x04F7(0x09EE)
L04F8:
	ldi	r16,k0D
	rjmp	L04FB
L04FA:
	ldi	r16,k00
L04FB:
	ldi	r30,k02
	.dw	0xCA5C	; pc=0x04FC(0x09F8)
L04FD:
	rjmp	L0391
L04FE:
	ldi	r16,k40
L04FF:
	rcall	L070A
	mov	r16,r24
	rjmp	L06F2
L0502:
	rcall	L0396
	ldi	r16,k00
	rjmp	L070A
L0505:
	subi	r16,k01
	sbci	r17,k00
	lsr	r17
	ror	r16
	ret
; pc=0x50A(0xA14)
;
L050A:
	rcall	L051D
	brne	L050E
	ldi	r16,k0D
	ret
; pc=0x50E(0xA1C)
;
L050E:
	rcall	L014C
	sbrs	r16,b0
	set
	brts	L051B
	rcall	L0279
	brne	L0517
	cbi	p15,b0
	sbi	p15,b0
	rjmp	L0519
L0517:
	cbi	p15,b3
	sbi	p15,b3
L0519:
	ldi	r16,k14
	rjmp	L0793
L051B:
	ldi	r16,k00
	ret
; pc=0x51D(0xA3A)
;
L051D:
	lds	r16,D012F
	tst	r16
	ret
; pc=0x521(0xA42)
;
L0521:
	.dw	0xDA26	; pc=0x0521(0x0A42)
	sbiw	r28,k03
	mov	r24,r16
	lds	r16,D0130
	lds	r17,D0131
	or	r16,r17
	brne	L052B
	rjmp	L0573
L052B:
	rcall	L014C
	sbrs	r16,b0
	set
	brts	L0555
	clt
	sbrs	r16,b1
	set
	lds	r16,D0120
	cpi	r16,k11
	brts	L054A
	breq	L0539
	ldi	r16,k11
	rcall	L070A
L0539:
	mov	r16,r24
	rcall	L06F2
	rcall	L051D
	brne	L0540
	cbi	p15,b3
	sbi	p15,b3
	rjmp	L0552
L0540:
	rcall	L027B
	brne	L0548
	cbi	p15,b1
	cbi	p15,b2
	cbi	p15,b3
	sbi	p15,b3
	cbi	p15,b3
	rjmp	L0571
L0548:
	rcall	L04AB
	rjmp	L0571
L054A:
	breq	L054E
	ldi	r20,k4C
	ldi	r16,k11
	rcall	L0752
L054E:
	rcall	L04A0
	rcall	L0752
	rcall	L0387
	rcall	L038D
L0552:
	ldi	r16,k0A
	rcall	L0793
	rjmp	L0574
L0555:
	sbrc	r16,b0
	rjmp	L0573
	st	-Y,r24
	rcall	L04A8
	ldi	r16,kC0
	rcall	L0831
	lds	r16,D0128
	sbrs	r16,b2
	rjmp	L0570
	lds	r16,D012B
	cp	r24,r16
	breq	L0570
	lds	r16,D012C
	cp	r24,r16
	breq	L0570
	ldi	r25,k64
L0568:
	rcall	L037F
	ldi	r16,kA0
	rcall	L0831
	cp	r16,r24
	breq	L0571
	rcall	L02A4
	brne	L0568
	rjmp	L0573
L0570:
	rcall	L02AD
L0571:
	ldi	r16,k0D
	rjmp	L0574
L0573:
	ldi	r16,k00
L0574:
	adiw	r28,k03
	ldi	r30,k02
	.dw	0xC9E2	; pc=0x0576(0x0AEC)
L0577:
	st	-Y,r24
	sbiw	r28,k02
	mov	r24,r20
	mov	r20,r16
	rcall	L014C
	sbrs	r16,b0
	set
	brts	L058B
	ldi	r16,k00
	rcall	L039C
	ldi	r16,k00
	st	-Y,r16
	ldi	r16,k08
	rcall	L05A3
	tst	r24
	breq	L0589
	ldd	r16,Y+o01
	rjmp	L05A0
L0589:
	ldd	r16,Y+o00
	rjmp	L05A0
L058B:
	sbrc	r16,b0
	rjmp	L059F
	rcall	L027F
	brcs	L0594
	ldi	r16,k00
	st	-Y,r16
	st	-Y,r16
	ldi	r16,k28
	rjmp	L059D
L0594:
	tst	r24
	ldi	r16,k00
	st	-Y,r16
	st	-Y,r20
	ldi	r20,k00
	breq	L059C
	ldi	r16,k38
	rjmp	L059D
L059C:
	ldi	r16,k30
L059D:
	rcall	L0831
	rjmp	L05A0
L059F:
	ldi	r16,k00
L05A0:
	adiw	r28,k02
	ld	r24,Y+
	ret
; pc=0x5A3(0xB46)
;
L05A3:
	st	-Y,r16
	mov	r20,r28
	mov	r21,r29
	subi	r20,kFE
	sbci	r21,kFF
	mov	r16,r28
	mov	r17,r29
	subi	r16,kFD
	sbci	r17,kFF
	rjmp	L06B3
L05AD:
	.dw	0xD99A	; pc=0x05AD(0x0B5A)
	mov	r25,r16
	rcall	L014C
	sbrs	r16,b0
	set
	brts	L05E6
	clt
	sbrs	r16,b1
	set
	brts	L05D0
	ldi	r16,k40
	rcall	L070A
	mov	r16,r25
	rcall	L06F2
	lds	r16,D0128
	sbrc	r16,b3
	rjmp	L05C4
	cbi	p15,b3
	rcall	L02AD
	sbi	p15,b3
	ldi	r16,k0D
	rjmp	L05E7
L05C4:
	rcall	L027B
	cbi	p15,b3
	brne	L05CC
	cbi	p15,b2
	cbi	p15,b1
	cbi	p15,b0
	sbi	p15,b0
	rjmp	L05CD
L05CC:
	sbi	p15,b3
L05CD:
	ldi	r16,k05
	rcall	L0793
	rjmp	L05E7
L05D0:
	ldi	r20,k4C
	ldi	r16,k40
	rcall	L0752
	ldi	r20,k2C
	mov	r16,r25
	rcall	L0389
	rcall	L0752
	lds	r16,D0128
	sbrc	r16,b3
	rjmp	L05DD
	rcall	L02AD
	ldi	r24,k0D
L05DD:
	rcall	L038E
	lds	r16,D0128
	sbrs	r16,b3
	rjmp	L05E4
	ldi	r16,k05
	rcall	L0396
L05E4:
	mov	r16,r24
	rjmp	L05E7
L05E6:
	ldi	r16,k00
L05E7:
	ldi	r30,k02
	.dw	0xC970	; pc=0x05E8(0x0BD0)
L05E9:
	rcall	L0605
	sbrs	r16,b0
	set
	brts	L0602
	clt
	sbrs	r16,b1
	set
	brts	L0602
	rcall	L04FE
	rcall	L027B
	brne	L05FC
	sbi	p15,b3
	cbi	p15,b2
	cbi	p15,b1
	cbi	p15,b0
	sbi	p15,b0
	ldi	r16,k02
	rcall	L0793
	rjmp	L0603
L05FC:
	sbi	p15,b4
	rcall	L02A9
	com	r17
	and	r16,r17
	rcall	L0608
	rjmp	L0603
L0602:
	ldi	r16,k00
L0603:
	ld	r24,Y+
	ret
; pc=0x605(0xC0A)
;
L0605:
	st	-Y,r24
	mov	r24,r16
	rjmp	L014C
L0608:
	out	p15,r16
	cbi	p15,b3
	sbi	p15,b3
	ldi	r16,k02
	rcall	L0793
L060D:
	cbi	p15,b4
	in	r17,p15
	lds	r18,D0137
	com	r18
	and	r17,r18
	out	p15,r17
	ret
; pc=0x615(0xC2A)
;
L0615:
	rcall	L0605
	sbrs	r16,b0
	set
	brts	L0622
	clt
	sbrs	r16,b1
	set
	brts	L0622
	rcall	L04FE
	rcall	L02A8
	or	r16,r17
	rcall	L0608
	rjmp	L0623
L0622:
	ldi	r16,k00
L0623:
	ld	r24,Y+
	ret
; pc=0x625(0xC4A)
;
L0625:
	rcall	L0605
	sbrs	r16,b0
	set
	brts	L0645
	clt
	sbrs	r16,b1
	set
	brts	L063B
	ldi	r16,k20
	rcall	L04FF
	rcall	L027B
	cbi	p15,b3
	brne	L0637
	cbi	p15,b2
	cbi	p15,b1
	cbi	p15,b0
	sbi	p15,b0
	rjmp	L0638
L0637:
	sbi	p15,b3
L0638:
	ldi	r16,k0A
	rcall	L0502
	rjmp	L0643
L063B:
	ldi	r20,k4C
	ldi	r16,k20
	rcall	L0752
	rcall	L0387
	rcall	L038D
	ldi	r16,k0A
	rcall	L0396
	rcall	L0399
L0643:
	mov	r16,r24
	rjmp	L0658
L0645:
	sbrc	r16,b0
	rjmp	L0657
	rcall	L027F
	brcs	L064F
	ldi	r16,k00
	st	-Y,r16
	st	-Y,r16
	ori	r24,kE0
	mov	r20,r24
	rjmp	L0653
L064F:
	st	-Y,r24
	ldi	r16,k00
	st	-Y,r16
	ldi	r20,kA0
L0653:
	ldi	r16,kAC
	rcall	L0831
	ldi	r16,k0D
	rjmp	L0658
L0657:
	ldi	r16,k00
L0658:
	ld	r24,Y+
	ret
; pc=0x65A(0xCB4)
;
L065A:
	rcall	L014C
	sbrs	r16,b0
	set
	brts	L066A
	clt
	sbrs	r16,b1
	set
	brts	L0665
	rcall	L066C
	ldi	r16,k00
	rjmp	L0717
L0665:
	ldi	r20,k4C
	ldi	r16,k04
	rcall	L0752
	ldi	r16,k00
	rjmp	L076A
L066A:
	ldi	r16,k00
	ret
; pc=0x66C(0xCD8)
;
L066C:
	ldi	r16,k04
	rjmp	L070A
L066E:
	rcall	L014C
	sbrs	r16,b0
	set
	brts	L0679
	clt
	sbrs	r16,b1
	set
	brts	L0679
	rcall	L066C
	ldi	r16,k03
	rjmp	L0717
L0679:
	ldi	r16,k00
	ret
; pc=0x67B(0xCF6)
;
L067B:
	rcall	L014C
	sbrs	r16,b0
	set
	brts	L0686
	clt
	sbrs	r16,b1
	set
	brts	L0686
	rcall	L066C
	ldi	r16,k02
	rjmp	L0717
L0686:
	ldi	r16,k00
	ret
; pc=0x688(0xD10)
;
L0688:
	rcall	L014C
	sbrs	r16,b0
	set
	brts	L0698
	clt
	sbrs	r16,b1
	set
	brts	L0693
	rcall	L066C
	ldi	r16,k01
	rjmp	L0717
L0693:
	ldi	r20,k4C
	ldi	r16,k04
	rcall	L0752
	ldi	r16,k01
	rjmp	L076A
L0698:
	ldi	r16,k00
	ret
; pc=0x69A(0xD34)
;
L069A:
	.dw	0xD8AB	; pc=0x069A(0x0D34)
	mov	r24,r16
	mov	r25,r17
	mov	r26,r20
	mov	r27,r21
	rcall	L037F
	ldi	r16,k20
	rcall	L0831
	rcall	L06AB
	rcall	L037F
	ldi	r16,k28
	rcall	L0831
	rcall	L06AF
	ldi	r16,k01
	ldi	r30,k04
	.dw	0xC8AD	; pc=0x06A9(0x0D52)
L06AA:
	rcall	L0717
L06AB:
	mov	r30,r26
	mov	r31,r27
	std	Z+o00,r16
	ret
; pc=0x6AF(0xD5E)
;
L06AF:
	mov	r30,r24
	mov	r31,r25
	std	Z+o00,r16
	ret
; pc=0x6B3(0xD66)
;
L06B3:
	.dw	0xD890	; pc=0x06B3(0x0D66)
	mov	r26,r16
	mov	r27,r17
	mov	r24,r20
	mov	r25,r21
	ldd	r4,Y+o06
	clr	r5
	rcall	L014C
	sbrs	r16,b0
	set
	brts	L06EF
	clt
	sbrs	r16,b1
	set
	lds	r16,D0120
	cp	r16,r4
	brts	L06D9
	breq	L06C8
	mov	r16,r4
	rcall	L070A
L06C8:
	ldi	r16,k02
	cp	r4,r16
	brne	L06CD
	ldi	r16,k01
	mov	r5,r16
L06CD:
	rcall	L027B
	brne	L06D3
	ldi	r16,k05
	rcall	L06AA
	ldi	r16,k04
	rjmp	L06D6
L06D3:
	ldi	r16,k01
	rcall	L06AA
	ldi	r16,k00
L06D6:
	rcall	L0717
	rcall	L06AF
	rjmp	L06EF
L06D9:
	breq	L06E2
	ldd	r16,Y+o07
	tst	r16
	ldi	r20,k4C
	breq	L06E0
	rcall	L039A
	ldi	r20,k5C
L06E0:
	mov	r16,r4
	rcall	L0752
L06E2:
	rcall	L04A0
	rcall	L0752
	ldi	r16,k00
	rcall	L076A
	rcall	L06AF
	ldi	r16,k01
	rcall	L076A
	rcall	L06AB
	ldi	r16,k02
	cp	r4,r16
	brne	L06EF
	ldi	r16,k01
	mov	r5,r16
L06EF:
	mov	r16,r5
	ldi	r30,k08
	.dw	0xC863	; pc=0x06F1(0x0DE2)
L06F2:
	rcall	L06FB
	brne	L06F7
	cbi	p15,b2
	sbi	p15,b1
	rjmp	L06F9
L06F7:
	cbi	p15,b6
	sbi	p15,b5
L06F9:
	out	p18,r16
	rjmp	L07EA
L06FB:
	lds	r17,D0126
	cpi	r17,k21
	ret
; pc=0x6FF(0xDFE)
;
	rcall	L06FB
	brne	L0705
	cbi	p15,b2
	cbi	p15,b1
	cbi	p15,b3
	rjmp	L0708
L0705:
	cbi	p15,b6
	cbi	p15,b5
	cbi	p15,b4
L0708:
	out	p18,r16
	rjmp	L07EA
L070A:
	rcall	L06FB
	brne	L0710
	cbi	p15,b3
	sbi	p15,b2
	cbi	p15,b1
	rjmp	L0713
L0710:
	rcall	L060D
	sbi	p15,b6
	cbi	p15,b5
L0713:
	out	p18,r16
	sts	D0120,r16
	rjmp	L07EA
L0717:
	ldi	r17,k00
	out	p17,r17
	ldi	r17,kFF
	out	p18,r17
	rcall	L06FB
	brne	L073C
	cpi	r16,k05
	brne	L0722
	sbi	p15,b3
	cbi	p15,b2
	sbi	p15,b1
L0722:
	cpi	r16,k04
	brne	L0727
	cbi	p15,b3
	cbi	p15,b2
	sbi	p15,b1
L0727:
	cpi	r16,k03
	brne	L072C
	cbi	p15,b1
	sbi	p15,b3
	sbi	p15,b2
L072C:
	tst	r16
	brne	L0731
	cbi	p15,b1
	cbi	p15,b3
	cbi	p15,b2
L0731:
	cpi	r16,k01
	brne	L0736
	cbi	p15,b1
	cbi	p15,b2
	sbi	p15,b3
L0736:
	cbi	p15,b5
	ldi	r16,k02
	rcall	L0E34
	in	r16,p16
	sbi	p15,b5
	rjmp	L074F
L073C:
	sbrs	r16,b0
	rjmp	L0740
	sbi	p15,b4
	rjmp	L0741
L0740:
	cbi	p15,b4
L0741:
	sbrs	r16,b1
	rjmp	L0746
	rcall	L02A9
	or	r16,r17
	rjmp	L0749
L0746:
	rcall	L02A9
	com	r17
	and	r16,r17
L0749:
	out	p15,r16
	cbi	p15,b2
	ldi	r16,k14
	rcall	L0E34
	in	r16,p16
	sbi	p15,b2
L074F:
	ldi	r17,kFF
	out	p17,r17
	ret
; pc=0x752(0xEA4)
;
L0752:
	rcall	L0F47
	mov	r26,r16
	mov	r24,r20
	rcall	L07EA
	ldi	r25,k08
L0757:
	tst	r24
	brpl	L075B
	sbi	p18,b1
	rjmp	L075C
L075B:
	cbi	p18,b1
L075C:
	tst	r26
	brpl	L0760
	sbi	p18,b0
	rjmp	L0761
L0760:
	cbi	p18,b0
L0761:
	lsl	r24
	lsl	r26
	rcall	L07EA
	dec	r25
	brne	L0757
	rcall	L07EA
	rcall	L07EA
	ldi	r30,k03
	rjmp	L0F58
L076A:
	rcall	L0F46
	sbiw	r28,k01
	cbi	p18,b0
	ldi	r27,k08
	ldi	r17,k00
	std	Y+o00,r17
	ldi	r24,k00
	ldi	r25,k00
	tst	r16
	breq	L0778
	ldi	r20,k78
	rcall	L039A
	ldi	r26,k7C
	rjmp	L077B
L0778:
	ldi	r20,k68
	rcall	L039A
	ldi	r26,k6C
L077B:
	lsl	r24
	rol	r25
	sbic	p16,b2
	adiw	r24,k01
	rcall	L07EA
L0780:
	tst	r26
	brpl	L0784
	sbi	p18,b1
	rjmp	L0785
L0784:
	cbi	p18,b1
L0785:
	lsl	r24
	rol	r25
	sbic	p16,b2
	adiw	r24,k01
	lsl	r26
	rcall	L07EA
	dec	r27
	brne	L0780
	rcall	L07EA
	rcall	L07EA
	mov	r16,r24
	adiw	r28,k01
	ldi	r30,k04
	rjmp	L0F57
L0793:
	rcall	L0F47
	mov	r26,r16
	rcall	L07E3
	rcall	L014C
	sbrs	r16,b1
	set
	brts	L07C6
	rcall	L027B
	brne	L07B1
L079C:
	sbis	p13,b6
	rjmp	L07A5
	tst	r26
	breq	L07A5
	rcall	L0298
	rcall	L07E6
	brne	L079C
	rcall	L07E2
	rjmp	L079C
L07A5:
	tst	r26
	breq	L07DD
L07A7:
	rcall	L07E3
L07A8:
	sbic	p13,b6
	rjmp	L07DB
	tst	r26
	breq	L07DB
	rcall	L0298
	rcall	L07E6
	brne	L07A8
	dec	r26
	rjmp	L07A7
L07B1:
	sbis	p13,b1
	rjmp	L07BA
	tst	r26
	breq	L07BA
	rcall	L0298
	rcall	L07E6
	brne	L07B1
	rcall	L07E2
	rjmp	L07B1
L07BA:
	tst	r26
	breq	L07DD
L07BC:
	rcall	L07E3
L07BD:
	sbic	p13,b1
	rjmp	L07DB
	tst	r26
	breq	L07DB
	rcall	L0298
	rcall	L07E6
	brne	L07BD
	dec	r26
	rjmp	L07BC
L07C6:
	sbis	p16,b2
	rjmp	L07CF
	tst	r26
	breq	L07CF
	rcall	L0298
	rcall	L07E6
	brne	L07C6
	rcall	L07E2
	rjmp	L07C6
L07CF:
	tst	r26
	breq	L07DD
L07D1:
	rcall	L07E3
L07D2:
	sbic	p16,b2
	rjmp	L07DB
	tst	r26
	breq	L07DB
	rcall	L0298
	rcall	L07E6
	brne	L07D2
	dec	r26
	rjmp	L07D1
L07DB:
	tst	r26
	brne	L07DF
L07DD:
	ldi	r16,k00
	rjmp	L07E0
L07DF:
	ldi	r16,k0D
L07E0:
	ldi	r30,k03
	rjmp	L0F58
L07E2:
	dec	r26
L07E3:
	ldi	r24,k10
	ldi	r25,k27
	ret
; pc=0x7E6(0xFCC)
;
L07E6:
	sbiw	r24,k01
	mov	r16,r24
	or	r16,r25
	ret
; pc=0x7EA(0xFD4)
;
L07EA:
	lds	r16,D0126
	subi	r16,k13
	breq	L07F3
	subi	r16,k0E
	breq	L0818
	dec	r16
	breq	L0812
	rjmp	L081B
L07F3:
	cbi	p12,b7
	sbi	p12,b7
	cbi	p12,b7
	sbi	p12,b7
	cbi	p12,b7
	sbi	p12,b7
	cbi	p12,b7
	sbi	p12,b7
	cbi	p12,b7
	sbi	p12,b7
	cbi	p12,b7
	sbi	p12,b7
	cbi	p12,b7
	sbi	p12,b7
	cbi	p12,b7
	sbi	p12,b7
	cbi	p12,b7
	sbi	p12,b7
	cbi	p12,b7
	sbi	p12,b7
	cbi	p12,b7
	sbi	p12,b7
	cbi	p12,b7
	sbi	p12,b7
	cbi	p12,b7
	sbi	p12,b7
	cbi	p12,b7
	sbi	p12,b7
	cbi	p12,b7
	sbi	p12,b7
	rjmp	L081B
L0812:
	cbi	p12,b7
	ldi	r16,k0A
	rcall	L0E34
	sbi	p12,b7
	ldi	r16,k0A
	rjmp	L0E34
L0818:
	sbi	p15,b4
	cbi	p15,b4
	ret
; pc=0x81B(0x1036)
;
L081B:
	cbi	p12,b7
	sbi	p12,b7
	ret
; pc=0x81E(0x103C)
;
L081E:
	rcall	L0F47
	mov	r24,r16
	ldi	r26,k00
	ldi	r25,k08
L0822:
	lsl	r26
	sbic	p16,b6
	inc	r26
	tst	r24
	brpl	L0829
	sbi	p18,b5
	rjmp	L082A
L0829:
	cbi	p18,b5
L082A:
	lsl	r24
	rcall	L029A
	rcall	L02A5
	brne	L0822
	mov	r16,r26
	ldi	r30,k03
	rjmp	L0F58
L0831:
	st	-Y,r24
	mov	r24,r20
	rcall	L081E
	mov	r16,r24
	rcall	L081E
	ldd	r16,Y+o01
	rcall	L081E
	ldd	r16,Y+o02
	rcall	L081E
	ld	r24,Y+
	adiw	r28,k02
	ret
; pc=0x83D(0x107A)
;
L083D:
	rcall	L0F44
	mov	r24,r16
	mov	r25,r17
	mov	r27,r20
	ldi	r26,k0D
	rcall	L027F
	brcs	L0859
	lds	r16,D0123
	tst	r16
	brne	L0859
	cpi	r24,k00
	sbci	r17,k01
	brne	L0859
	ldi	r16,k50
	rcall	L081E
	lds	r16,D0124
	rcall	L081E
L0850:
	rcall	L0E86
	rcall	L081E
	rcall	L049C
	rcall	L049D
	rcall	L049D
	rcall	L0E34
	rcall	L07E6
	brne	L0850
	rjmp	L08C8
L0859:
	cpi	r27,k45
	rcall	L08EB
	brne	L0862
	rcall	L039C
	rcall	L0E86
	rcall	L0521
	tst	r16
	brne	L0874
	rjmp	L0873
L0862:
	rcall	L039C
	rcall	L0E86
	ldi	r20,k00
	rcall	L03C1
	tst	r16
	brne	L0869
	ldi	r26,k00
L0869:
	sbiw	r24,k01
	rcall	L027F
	brcc	L0875
	ldi	r20,k01
	mov	r4,r20
	rcall	L0E86
	mov	r20,r4
	rcall	L03C1
	tst	r16
	brne	L0874
L0873:
	ldi	r26,k00
L0874:
	sbiw	r24,k01
L0875:
	rcall	L08D1
	brne	L0878
	rcall	L08E5
L0878:
	cpi	r27,k46
	brne	L0888
	rcall	L037C
	breq	L0888
	rcall	L08EC
	lds	r16,D012D
	rcall	L0505
	rcall	L08EF
	brne	L0888
	rcall	L04FD
	lsr	r17
	ror	r16
	sub	r4,r16
	sbc	r5,r17
	rcall	L08CB
L0888:
	cpi	r27,k45
	brne	L089B
	rcall	L014C
	sbrs	r16,b0
	set
	brts	L089B
	rcall	L051D
	breq	L089B
	rcall	L08D7
	lds	r16,D012F
	subi	r16,k01
	sbci	r17,k00
	rcall	L08EF
	brne	L089B
	lds	r16,D012F
	ldi	r17,k00
	rcall	L08DB
L089B:
	mov	r16,r24
	or	r16,r25
	breq	L089F
	rjmp	L0859
L089F:
	cpi	r27,k46
	brne	L08B4
	rcall	L037C
	breq	L08B4
	rcall	L08EC
	lds	r18,D012D
	mov	r19,r17
	subi	r18,k01
	sbci	r19,k00
	lsr	r19
	ror	r18
	mov	r16,r18
	mov	r17,r19
	rcall	L08EF
	breq	L08B4
	com	r18
	com	r19
	and	r4,r18
	and	r5,r19
	rcall	L08CB
L08B4:
	cpi	r27,k45
	brne	L08C8
	rcall	L014C
	sbrs	r16,b0
	set
	brts	L08C8
	rcall	L051D
	breq	L08C8
	rcall	L08D7
	lds	r24,D012F
	ldi	r25,k00
	sbiw	r24,k01
	and	r24,r16
	and	r25,r5
	or	r24,r25
	breq	L08C8
	lds	r16,D012F
	rcall	L08DB
L08C8:
	mov	r16,r26
	ldi	r30,k06
	rjmp	L0F55
L08CB:
	rcall	L08F3
	rcall	L04B6
	rcall	L0391
	lsr	r17
	ror	r16
	rjmp	L08E2
L08D1:
	lds	r16,D0123
	inc	r16
	sts	D0123,r16
	ret
; pc=0x8D7(0x11AE)
;
L08D7:
	rcall	L08F8
	ldi	r17,k00
	mov	r4,r16
	ret
; pc=0x8DB(0x11B6)
;
L08DB:
	sub	r4,r16
	sbc	r5,r17
	rcall	L08F3
	rcall	L050A
	lds	r16,D012F
	ldi	r17,k00
L08E2:
	add	r4,r16
	adc	r5,r17
	rjmp	L08F3
L08E5:
	lds	r16,D0124
	inc	r16
	sts	D0124,r16
	ret
; pc=0x8EB(0x11D6)
;
L08EB:
	rjmp	L02B5
L08EC:
	rcall	L08F8
	mov	r4,r16
	ret
; pc=0x8EF(0x11DE)
;
L08EF:
	and	r16,r4
	and	r17,r5
	or	r16,r17
	ret
; pc=0x8F3(0x11E6)
;
L08F3:
	sts	D0123,r4
	sts	D0124,r5
	ret
; pc=0x8F8(0x11F0)
;
L08F8:
	lds	r4,D0124
	mov	r5,r4
	lds	r16,D0123
	ret
; pc=0x8FE(0x11FC)
;
L08FE:
	rcall	L0F45
	sbiw	r28,k02
	mov	r24,r16
	mov	r25,r17
	mov	r26,r20
	ldi	r27,k01
	rcall	L027F
	brcs	L0907
	ldi	r27,k00
L0907:
	cpi	r16,kE0
	brcs	L091D
	lds	r16,D0123
	tst	r16
	brne	L091D
	cpi	r24,k00
	ldi	r16,k01
	cpc	r25,r16
	brne	L091D
	ldi	r16,k30
	rcall	L081E
	lds	r16,D0124
	rcall	L081E
L0916:
	ldi	r16,k00
	rcall	L081E
	rcall	L0950
	mov	r16,r24
	or	r16,r25
	brne	L0916
	rjmp	L094D
L091D:
	cpi	r26,k45
	lds	r16,D0128
	brne	L092D
	sbrs	r16,b0
	rjmp	L092A
	lds	r16,D0125
	st	-Y,r16
	ldi	r16,k03
	rcall	L05A3
	ldd	r16,Y+o00
	rjmp	L0944
L092A:
	rcall	L037F
	ldi	r16,kA0
	rjmp	L0943
L092D:
	sbrs	r16,b0
	rjmp	L093B
	lds	r16,D0125
	st	-Y,r16
	ldi	r16,k02
	rcall	L05A3
	mov	r4,r16
	ldd	r16,Y+o00
	rcall	L0950
	tst	r4
	breq	L0945
	ldd	r16,Y+o01
	rjmp	L0944
L093B:
	rcall	L037F
	ldi	r16,k20
	rcall	L0831
	rcall	L0950
	tst	r27
	breq	L0945
	rcall	L037F
	ldi	r16,k28
L0943:
	rcall	L0831
L0944:
	rcall	L0950
L0945:
	rcall	L08D1
	brne	L0948
	rcall	L08E5
L0948:
	rcall	L08EB
	rcall	L039C
	mov	r16,r24
	or	r16,r25
	brne	L091D
L094D:
	adiw	r28,k02
	ldi	r30,k05
	rjmp	L0F56
L0950:
	rcall	L0E96
	sbiw	r24,k01
	ret
; pc=0x953(0x12A6)
;
L0953:
	ldi	r16,kA1
	out	p2F,r16
	ldi	r16,k01
	out	p2E,r16
	ldi	r16,k00
	out	p29,r16
	out	p28,r16
	out	p2B,r16
	out	p2A,r16
	ret
; pc=0x95D(0x12BA)
;
L095D:
	tst	r20
	breq	L0960
	inc	r20
L0960:
	andi	r20,k3F
	lsl	r20
	lsl	r20
	cpi	r16,k84
	brne	L0969
	ldi	r17,k00
	out	p2B,r17
	out	p2A,r20
	rjmp	L0971
L0969:
	cpi	r16,k85
	brne	L096F
	ldi	r17,k00
	out	p29,r17
	out	p28,r20
	rjmp	L0971
L096F:
	ldi	r16,k18
	ret
; pc=0x971(0x12E2)
;
L0971:
	ldi	r16,k19
	ret
; pc=0x973(0x12E6)
;
	sbiw	r28,k02
	ldi	r16,k00
	sts	D0125,r16
	rcall	L0C74
	ldi	r16,k10
	.dw	0xD77E	; pc=0x0979(0x12F2)
	sts	D0138,r16
	ldi	r26,k00
	ldi	r27,k00
	cpi	r16,k3D
	brcs	L0986
	ldi	r16,k32
	sts	D0138,r16
	ldi	r20,k32
	ldi	r16,k10
	.dw	0xD767	; pc=0x0985(0x130A)
L0986:
	ldi	r16,k14
	.dw	0xD770	; pc=0x0987(0x130E)
	sts	D013A,r16
	cpi	r16,k3D
	brcs	L0992
	ldi	r16,k32
	sts	D013A,r16
	ldi	r20,k32
	ldi	r16,k14
	.dw	0xD75B	; pc=0x0991(0x1322)
L0992:
	lds	r20,D0138
	ldi	r16,k84
	rcall	L095D
	lds	r20,D013A
	ldi	r16,k85
	rcall	L095D
	ldi	r16,k18
	.dw	0xD75C	; pc=0x099B(0x1336)
	sts	D013F,r16
	cpi	r16,k08
	brcs	L09AE
	ldi	r16,k01
	sts	D013F,r16
	ldi	r20,k01
	ldi	r16,k18
	.dw	0xD747	; pc=0x09A5(0x134A)
	ldi	r16,k00
	sts	D0140,r16
	ldi	r20,k00
	ldi	r16,k1C
	.dw	0xD741	; pc=0x09AB(0x1356)
	rcall	L0C7A
	rcall	L0C80
L09AE:
	ldi	r16,k1C
	.dw	0xD748	; pc=0x09AF(0x135E)
	sts	D0140,r16
	ldi	r16,k20
	.dw	0xD744	; pc=0x09B3(0x1366)
	sts	D013C,r16
	tst	r16
	brne	L09B9
	rcall	L0C80
L09B9:
	ldi	r16,k24
	.dw	0xD73D	; pc=0x09BA(0x1374)
	sts	D013D,r16
	tst	r16
	breq	L09C1
	cpi	r16,kFF
	brne	L09C2
L09C1:
	rcall	L0C7A
L09C2:
	rcall	L0C86
	cbi	p1B,b4
	sbi	p1B,b4
	nop
	cbi	p1B,b5
	sbi	p1B,b5
	nop
	cbi	p1B,b5
	sbi	p1B,b5
	nop
	cbi	p1B,b5
	sbi	p1B,b5
	nop
	ldi	r16,k04
	std	Y+o00,r16
	ldi	r24,k00
L09D2:
	rcall	L0C8B
	sbic	p10,b6
	inc	r24
	dec	r16
	std	Y+o00,r16
	brne	L09D2
	cpi	r24,k0F
	lds	r16,D0141
	brne	L09EB
	ori	r16,k01
	sts	D0141,r16
	ldi	r16,k01
	rcall	L0E3F
	sbi	p12,b2
	cbi	p06,b7
	ldi	r16,k3F
	out	p1A,r16
	ldi	r16,kFF
	out	p14,r16
	cbi	p11,b2
	cbi	p17,b5
	cbi	p17,b7
	rjmp	L09F0
L09EB:
	andi	r16,kFE
	sts	D0141,r16
	cbi	p12,b3
	cbi	p12,b2
L09F0:
	ldi	r16,k0A
	rcall	L0E34
	ldi	r16,k00
	sts	D013E,r16
	lds	r16,D0142
	ori	r16,k40
	rcall	L0C90
	ori	r16,k20
	rcall	L0C90
	andi	r16,kBF
	rcall	L0C90
	andi	r16,kDF
	rcall	L0C90
	ori	r16,k20
	sts	D0142,r16
L0A02:
	lds	r16,D0142
	sbrc	r16,b0
	rjmp	L0A14
	rcall	L0E51
	lds	r16,D0142
	sbrc	r16,b1
	rcall	L02E9
L0A0B:
	rcall	L0E86
	cpi	r16,k30
	breq	L0A11
	ldi	r16,k15
	rcall	L0E96
	rjmp	L0A0B
L0A11:
	rcall	L0C9D
	brne	L0A1C
	rjmp	L0C63
L0A14:
	rcall	L0E86
	ldi	r30,k84
	ldi	r31,k00
	rjmp	L0ED2
	rcall	L0C9D
	brne	L0A1B
	rjmp	L0BC8
L0A1B:
	rcall	L0C74
L0A1C:
	rjmp	L0C71
	rcall	L0C9D
	brne	L0A21
	rcall	L0CAB
	rjmp	L0A22
L0A21:
	rjmp	L0C70
L0A22:
	rcall	L0CA0
	andi	r16,kF8
	lsr	r16
	lsr	r16
	lsr	r16
	mov	r30,r16
	ldi	r31,k00
	subi	r30,kD1
	sbci	r31,kFE
	lpm
	std	Y+o00,r0
	ldd	r16,Y+o01
	andi	r16,k07
	std	Y+o01,r16
	ldi	r30,kE5
	ldi	r31,k00
	rjmp	L0ED2
	ldd	r16,Y+o00
	sbrc	r16,b0
	rjmp	L0C69
	rjmp	L0BE3
	ldd	r16,Y+o00
	sbrc	r16,b1
	rjmp	L0C69
	rjmp	L0BE3
	ldd	r16,Y+o00
	sbrc	r16,b2
	rjmp	L0C69
	rjmp	L0BE3
	ldd	r16,Y+o00
	sbrc	r16,b3
	rjmp	L0C69
	rjmp	L0BE3
	ldd	r16,Y+o00
	sbrc	r16,b4
	rjmp	L0C69
	rjmp	L0BE3
	ldd	r16,Y+o00
	sbrc	r16,b5
	rjmp	L0C69
	rjmp	L0BE3
	ldd	r16,Y+o00
	sbrc	r16,b6
	rjmp	L0C69
	rjmp	L0BE3
	ldd	r16,Y+o00
	tst	r16
	brpl	L0A7D
	rjmp	L0C69
	rcall	L0CA0
	rcall	L0CA3
	rcall	L0C9D
	brne	L0A59
	rcall	L0CAB
	rjmp	L0A5A
L0A59:
	rjmp	L0C70
L0A5A:
	ldd	r16,Y+o01
	ldi	r30,kFB
	ldi	r31,k00
	rjmp	L0ED2
	ldd	r16,Y+o00
	tst	r16
	brne	L0A65
	lds	r16,D0142
	andi	r16,kDF
	rjmp	L0A6A
L0A65:
	cpi	r16,k01
	brne	L0A6E
	lds	r16,D0142
	ori	r16,k20
L0A6A:
	sts	D0142,r16
	andi	r16,kBF
	rjmp	L0C67
L0A6E:
	cpi	r16,k02
	brne	L0A74
	lds	r16,D0142
	andi	r16,kDF
	rjmp	L0A79
L0A74:
	cpi	r16,k03
	brne	L0A7D
	lds	r16,D0142
	ori	r16,k20
L0A79:
	sts	D0142,r16
	ori	r16,k40
	rjmp	L0C67
L0A7D:
	rjmp	L0BE3
	sbi	p17,b4
	rjmp	L0C69
	ldd	r16,Y+o00
	sts	D0138,r16
	mov	r20,r16
	ldi	r16,k10
	.dw	0xD667	; pc=0x0A85(0x150A)
	lds	r20,D0138
	ldi	r16,k84
	rjmp	L0A93
	ldd	r16,Y+o00
	sts	D013A,r16
	mov	r20,r16
	ldi	r16,k14
	.dw	0xD65D	; pc=0x0A8F(0x151E)
	lds	r20,D013A
	ldi	r16,k85
L0A93:
	rcall	L095D
	rjmp	L0C69
	ldd	r16,Y+o00
	sts	D013F,r16
	mov	r20,r16
	ldi	r16,k18
	rjmp	L0AA0
	ldd	r16,Y+o00
	sts	D0140,r16
	mov	r20,r16
	ldi	r16,k1C
L0AA0:
	.dw	0xD64C	; pc=0x0AA0(0x1540)
	rcall	L0C86
	rjmp	L0C69
	ldd	r16,Y+o00
	sts	D013C,r16
	mov	r20,r16
	ldi	r16,k20
	rjmp	L0AB6
	lds	r16,D0141
	sbrs	r16,b0
	rjmp	L0AB1
	ldd	r16,Y+o00
	ldi	r20,k02
	rcall	L0EAD
	rjmp	L0AB2
L0AB1:
	ldd	r16,Y+o00
L0AB2:
	sts	D013D,r16
	mov	r20,r16
	ldi	r16,k24
L0AB6:
	.dw	0xD636	; pc=0x0AB6(0x156C)
	rjmp	L0C69
	rcall	L0E86
	rcall	L0C9C
	brne	L0ABD
	rcall	L0CAB
	rjmp	L0ABE
L0ABD:
	rjmp	L0C70
L0ABE:
	ldd	r16,Y+o01
	ldi	r30,k17
	ldi	r31,k01
	rjmp	L0ED2
	lds	r16,D0141
	sbrc	r16,b0
	rjmp	L0ADC
	cbi	p1B,b4
	sbi	p1B,b4
	nop
	cbi	p1B,b5
	sbi	p1B,b5
	nop
	cbi	p1B,b5
	sbi	p1B,b5
	nop
	cbi	p1B,b5
	sbi	p1B,b5
	nop
	ldi	r16,k04
	std	Y+o00,r16
	ldi	r24,k00
L0AD5:
	rcall	L0C8B
	sbic	p10,b6
	inc	r24
	dec	r16
	std	Y+o00,r16
	brne	L0AD5
	rjmp	L0ADE
L0ADC:
	in	r24,p16
	andi	r24,k0F
L0ADE:
	mov	r16,r24
	rjmp	L0C36
	ldi	r16,MINOR_VERSION;version
	rjmp	L0C36
	lds	r16,D0142
	lsr	r16
	rjmp	L0C36
	lds	r16,D0139
	rjmp	L0C36
	lds	r16,D013B
	rjmp	L0C36
	ldi	r16,k00
	rjmp	L0C36
	ldi	r16,MAJOR_VERSION;version
	rjmp	L0C36
	lds	r16,D013F
	rjmp	L0C36
	lds	r16,D0140
	rjmp	L0C36
	lds	r16,D013C
	rjmp	L0C36
	lds	r16,D013D
	rjmp	L0C36
	ldd	r16,Y+o01
	rcall	L0E96
	rjmp	L0BE3
	rcall	L0CA0
	rcall	L0CA3
	rcall	L0C9D
	brne	L0B08
	rcall	L0CAB
	ldd	r26,Y+o00
	ldd	r27,Y+o01
	rcall	L0CC8
	rjmp	L0C69
L0B08:
	rjmp	L0C70
	rcall	L0CA0
	rcall	L0CA3
	rcall	L0C9D
	brne	L0B1F
	rcall	L0CAB
	ldd	r16,Y+o01
	cpi	r16,kFF
	breq	L0B14
	ldi	r20,k01
	ldd	r16,Y+o00
	rcall	L03C1
L0B14:
	rcall	L0CC8
	inc	r27
	brne	L0B18
	inc	r26
L0B18:
	ldd	r16,Y+o00
	cpi	r16,kFF
	breq	L0B3D
	ldi	r20,k00
	ldd	r16,Y+o01
	rcall	L03C1
	rjmp	L0C69
L0B1F:
	rjmp	L0C70
	rcall	L0C9D
	brne	L0B3E
	rcall	L0CA6
	brne	L0B25
	inc	r26
L0B25:
	ldi	r30,k26
	ldi	r31,k01
	ldd	r16,Z+o02
	clt
	sbrs	r16,b0
	set
	brts	L0B32
	lds	r16,D0125
	st	-Y,r16
	ldi	r16,k02
	rcall	L0CAD
	rjmp	L0B39
L0B32:
	mov	r20,r28
	mov	r21,r29
	mov	r16,r28
	mov	r17,r29
	subi	r16,kFF
	sbci	r17,kFF
	rcall	L069A
L0B39:
	ldd	r16,Y+o00
	rcall	L0E96
	ldd	r16,Y+o01
	rcall	L0E96
L0B3D:
	rjmp	L0C69
L0B3E:
	rjmp	L0C70
	rcall	L0E86
	rcall	L0C9C
	brne	L0B48
	rcall	L0CA6
	brne	L0B45
	inc	r26
L0B45:
	ldd	r16,Y+o01
	rcall	L0521
	rjmp	L0C69
L0B48:
	rjmp	L0C70
	rcall	L0C9D
	brne	L0B55
	rcall	L0CA6
	brne	L0B4E
	inc	r26
L0B4E:
	lds	r16,D0125
	st	-Y,r16
	ldi	r16,k03
	rcall	L0CAD
	ldd	r16,Y+o00
	rjmp	L0C36
L0B55:
	rjmp	L0C70
	rcall	L0E86
	mov	r25,r16
	rcall	L0E86
	mov	r24,r16
	rcall	L0CA0
	mov	r20,r16
	mov	r16,r24
	mov	r17,r25
	rcall	L083D
	rcall	L0C9D
	brne	L0B62
	rjmp	L0BC8
L0B62:
	rjmp	L0C70
	rcall	L0E86
	mov	r25,r16
	rcall	L0E86
	mov	r24,r16
	rcall	L0E86
	rcall	L0C9C
	brne	L0B70
	rcall	L0CAB
	ldd	r20,Y+o01
	mov	r16,r24
	mov	r17,r25
	rcall	L08FE
	rjmp	L0C69
L0B70:
	rjmp	L0C70
	rcall	L0C9D
	brne	L0B76
	rcall	L0CAB
	.dw	0xD7B4	; pc=0x0B74(0x16E8)
	rjmp	L0C69
L0B76:
	rjmp	L0C70
	rcall	L0C9D
	brne	L0B82
	rcall	L0CAB
	rcall	L065A
	rcall	L0E96
	rcall	L0CB7
	brcs	L0B80
	rcall	L066E
	rjmp	L0C36
L0B80:
	ldi	r16,kFF
	rjmp	L0C36
L0B82:
	rjmp	L0C70
	rcall	L0C9D
	brne	L0B8C
	rcall	L0CAB
	rcall	L065A
	rcall	L0E96
	rcall	L066E
	rcall	L0E96
	rcall	L067B
	rjmp	L0C36
L0B8C:
	rjmp	L0C70
	rcall	L0CA0
	rcall	L0CA3
	rcall	L0C9D
	brne	L0B99
	rcall	L0CAB
	ldd	r16,Y+o01
	rcall	L05AD
	rcall	L0CB7
	brcs	L0BB6
	ldd	r16,Y+o00
	rcall	L05E9
	rjmp	L0C69
L0B99:
	rjmp	L0C70
	rcall	L0CA0
	rcall	L0CA3
	rcall	L0E86
	mov	r24,r16
	rcall	L0C9D
	brne	L0BA8
	rcall	L0CAB
	ldd	r16,Y+o01
	rcall	L05AD
	ldd	r16,Y+o00
	rcall	L05E9
	mov	r16,r24
	rcall	L0615
	rjmp	L0C69
L0BA8:
	rjmp	L0C70
	rcall	L0E86
	rcall	L0C9C
	brne	L0BB0
	rcall	L0CAB
	ldd	r16,Y+o01
	rcall	L0625
	rjmp	L0C69
L0BB0:
	rjmp	L0C70
	rcall	L0C9D
	brne	L0BB7
	rcall	L0CAB
	rcall	L0688
	rcall	L0E96
L0BB6:
	rjmp	L0C69
L0BB7:
	rjmp	L0C70
	.dw	0xD547	; pc=0x0BB8(0x1770)
	rcall	L0C9D
	breq	L0BC8
	rjmp	L0C70
	rcall	L0CA0
	rcall	L0E86
	sts	D012F,r16
	rcall	L0C97
	sts	D0136,r16
	rcall	L0C97
	sts	D0137,r16
	rcall	L0C9D
	brne	L0BCA
L0BC8:
	ldi	r16,k14
	rjmp	L0C36
L0BCA:
	rjmp	L0C70
	rcall	L0C9D
	brne	L0BD0
	rcall	L0CAB
	.dw	0xD586	; pc=0x0BCE(0x179C)
	rjmp	L0C69
L0BD0:
	rjmp	L0C70
	rcall	L0C9D
	brne	L0BE7
	rcall	L0CAB
	lds	r16,D0126
	tst	r16
	breq	L0BE5
	lds	r16,D0142
	ori	r16,k20
	sts	D0142,r16
	andi	r16,kBF
	sts	D0142,r16
	.dw	0xD5BC	; pc=0x0BE0(0x17C0)
	tst	r16
	brne	L0BFC
L0BE3:
	ldi	r16,k11
	rjmp	L0C72
L0BE5:
	ldi	r16,k13
	rjmp	L0C72
L0BE7:
	rjmp	L0C70
	rcall	L0C9D
	brne	L0BED
	rcall	L0CAB
	.dw	0xD6FD	; pc=0x0BEB(0x17D6)
	rjmp	L0C69
L0BED:
	rjmp	L0C70
	rcall	L0C9D
	brne	L0C05
	lds	r16,D0141
	sbrs	r16,b0
	rjmp	L0BFD
	rcall	L0CAB
	rcall	L0CC0
	ldi	r16,k49
	rcall	L0E96
	ldi	r16,k53
	rcall	L0E96
	ldi	r16,k50
	rcall	L0E96
L0BFC:
	rjmp	L0C69
L0BFD:
	rcall	L0CAB
	rcall	L0CC0
	ldi	r16,k53
	rcall	L0E96
	ldi	r16,k54
	rcall	L0E96
	ldi	r16,k4B
	rjmp	L0C36
L0C05:
	rjmp	L0C70
	rcall	L0C9D
	brne	L0C14
	rcall	L0CAB
	ldi	r20,k00
	ldi	r16,k00
	rcall	L0577
	rcall	L0E96
	ldi	r20,k00
	ldi	r16,k01
	rcall	L0577
	rcall	L0E96
	ldi	r20,k00
	ldi	r16,k02
	rjmp	L0C22
L0C14:
	rjmp	L0C70
	rcall	L0C9D
	brne	L0C1B
	rcall	L0CAB
	ldi	r20,k01
	ldi	r16,k00
	rjmp	L0C22
L0C1B:
	rjmp	L0C70
	rcall	L0E86
	rcall	L0C9C
	brne	L0C24
	rcall	L0CAB
	ldi	r20,k01
	ldd	r16,Y+o01
L0C22:
	rcall	L0577
	rjmp	L0C36
L0C24:
	rjmp	L0C70
	rcall	L0CA0
	rcall	L0CA3
	rcall	L0E86
	mov	r24,r16
	rcall	L0E86
	mov	r25,r16
	rcall	L0C9D
	brne	L0C38
	rcall	L0CAB
	ldd	r16,Y+o01
	rcall	L081E
	ldd	r16,Y+o00
	rcall	L081E
	mov	r16,r24
	rcall	L081E
	mov	r16,r25
	rcall	L081E
L0C36:
	rcall	L0E96
	rjmp	L0C69
L0C38:
	rjmp	L0C70
	rcall	L0C9D
	brne	L0C70
	sbi	p12,b2
	cbi	p12,b3
	rcall	L0CAB
	lds	r16,D013C
	rcall	L0E38
	cbi	p12,b3
	cbi	p12,b2
	rjmp	L0C69
	rcall	L0E86
	rcall	L0C9C
	brne	L0C70
	rcall	L0CAB
	rcall	L0CBC
	brne	L0C4C
	cbi	p15,b4
	rjmp	L0C4D
L0C4C:
	sbi	p12,b7
L0C4D:
	ldd	r16,Y+o01
	tst	r16
	breq	L0C69
	rcall	L0CBC
	brne	L0C54
	sbi	p15,b4
	rjmp	L0C55
L0C54:
	cbi	p12,b7
L0C55:
	lds	r16,D013D
	rcall	L0E34
	rcall	L0CBC
	brne	L0C5C
	cbi	p15,b4
	rjmp	L0C5D
L0C5C:
	sbi	p12,b7
L0C5D:
	ldd	r16,Y+o01
	dec	r16
	std	Y+o01,r16
	rjmp	L0C4D
	rcall	L0C9D
	brne	L0C70
L0C63:
	rcall	L0CAB
	lds	r16,D0142
	ori	r16,k01
L0C67:
	sts	D0142,r16
L0C69:
	ldi	r16,k10
	rjmp	L0C72
	rcall	L0C9D
	brne	L0C70
	rcall	L0CAB
	ldi	r16,k12
	rjmp	L0C72
L0C70:
	rcall	L0C74
L0C71:
	ldi	r16,k15
L0C72:
	rcall	L0E96
	rjmp	L0A02
L0C74:
	lds	r16,D0142
	andi	r16,kFE
	sts	D0142,r16
	ret
; pc=0xC7A(0x18F4)
;
L0C7A:
	ldi	r16,k01
	sts	D013D,r16
	ldi	r20,k01
	ldi	r16,k24
	.dw	0xC46D	; pc=0x0C7F(0x18FE)
L0C80:
	ldi	r16,k14
	sts	D013C,r16
	ldi	r20,k14
	ldi	r16,k20
	.dw	0xC467	; pc=0x0C85(0x190A)
L0C86:
	lds	r20,D0140
	lds	r16,D013F
	rjmp	L0E2B
L0C8B:
	lsl	r24
	cbi	p1B,b5
	sbi	p1B,b5
	nop
	ret
; pc=0xC90(0x1920)
;
L0C90:
	sts	D0142,r16
	ldi	r16,k30
	rcall	L0E38
	lds	r16,D0142
	ret
; pc=0xC97(0x192E)
;
L0C97:
	rcall	L0E86
	andi	r16,k0F
	mov	r20,r16
	ldi	r16,k01
	rjmp	L0EA8
L0C9C:
	std	Y+o01,r16
L0C9D:
	rcall	L0E86
	cpi	r16,k20
	ret
; pc=0xCA0(0x1940)
;
L0CA0:
	rcall	L0E86
	std	Y+o01,r16
	ret
; pc=0xCA3(0x1946)
;
L0CA3:
	rcall	L0E86
	std	Y+o00,r16
	ret
; pc=0xCA6(0x194C)
;
L0CA6:
	ldi	r16,k14
	rcall	L0E96
	rcall	L0CC8
	inc	r27
	ret
; pc=0xCAB(0x1956)
;
L0CAB:
	ldi	r16,k14
	rjmp	L0E96
L0CAD:
	st	-Y,r16
	mov	r20,r28
	mov	r21,r29
	subi	r20,kFE
	sbci	r21,kFF
	mov	r16,r28
	mov	r17,r29
	subi	r16,kFD
	sbci	r17,kFF
	rjmp	L06B3
L0CB7:
	lds	r16,D0128
	andi	r16,kE0
	cpi	r16,k21
	ret
; pc=0xCBC(0x1978)
;
L0CBC:
	lds	r16,D0126
	cpi	r16,k21
	ret
; pc=0xCC0(0x1980)
;
L0CC0:
	ldi	r16,k41
	rcall	L0E96
	ldi	r16,k56
	rcall	L0E96
	ldi	r16,k52
	rcall	L0E96
	ldi	r16,k20
	rjmp	L0E96
L0CC8:
	mov	r20,r27
	mov	r16,r26
	.dw	0xC6D1	; pc=0x0CCA(0x1994)
	rcall	L0953
	ldi	r16,k04
	out	p12,r16
	ldi	r16,kBE
	out	p11,r16
	ldi	r16,k30
	out	p1B,r16
	out	p1A,r16
	ldi	r16,k00
	out	p18,r16
	out	p17,r16
	out	p15,r16
	out	p14,r16
	.dw	0xD3F0	; pc=0x0CD8(0x19B0)
	rcall	L0CE0
	ldi	r16,k03
	rcall	L0E3F
	sei
	ldi	r16,k01
	ldi	r17,k00
	ret
; pc=0xCE0(0x19C0)
;
L0CE0:
	ldi	r16,k00
	sts	D0143,r16
	sts	D0147,r16
	ldi	r16,kFF
	sts	D0146,r16
	lds	r16,D0141
	sbrc	r16,b0
	rjmp	L0CEE
	ldi	r16,kB8
	rjmp	L0CEF
L0CEE:
	ldi	r16,kDC
L0CEF:
	out	p32,r16
	ldi	r16,k01
	out	p39,r16
	ldi	r16,k05
	out	p33,r16
	ret
; pc=0xCF5(0x19EA)
;
	st	-Y,r0
	st	-Y,r1
	st	-Y,r2
	st	-Y,r3
	st	-Y,r16
	st	-Y,r17
	st	-Y,r18
	st	-Y,r19
	st	-Y,r20
	st	-Y,r21
	st	-Y,r22
	st	-Y,r23
	st	-Y,r30
	st	-Y,r31
	in	r0,p3F
	st	-Y,r0
	lds	r16,D0141
	sbrc	r16,b0
	rjmp	L0D0B
	ldi	r16,kB8
	rjmp	L0D0C
L0D0B:
	ldi	r16,kDC
L0D0C:
	out	p32,r16
	lds	r16,D0147
	tst	r16
	breq	L0D16
	lds	r16,D0147
	dec	r16
	sts	D0147,r16
L0D16:
	lds	r16,D0146
	inc	r16
	sts	D0146,r16
	lds	r16,D013E
	tst	r16
	brne	L0D22
	lds	r16,D0142
	rjmp	L0D2F
L0D22:
	lds	r16,D0146
	lds	r20,D013E
	rcall	L0EAD
	tst	r20
	brne	L0D32
	lds	r16,D0142
	tst	r16
	brpl	L0D2F
	andi	r16,k7F
	rjmp	L0D30
L0D2F:
	ori	r16,k80
L0D30:
	sts	D0142,r16
L0D32:
	lds	r16,D0141
	sbrc	r16,b0
	rjmp	L0DBA
	ldi	r16,k07
	out	p07,r16
	sbi	p06,b6
	ldi	r16,k20
L0D3A:
	sbic	p06,b4
	rjmp	L0D3E
	dec	r16
	brne	L0D3A
L0D3E:
	ldi	r30,k1C
	ldi	r31,k01
	rcall	L0E1A
	ldi	r16,k06
	out	p07,r16
	sbi	p06,b6
	ldi	r16,k20
L0D45:
	sbic	p06,b4
	rjmp	L0D49
	dec	r16
	brne	L0D45
L0D49:
	ldi	r30,k1E
	ldi	r31,k01
	rcall	L0E1A
	lds	r16,D0146
	andi	r16,k07
	breq	L0D51
	rjmp	L0DBF
L0D51:
	lds	r16,D011C
	lds	r17,D011D
	rol	r16
	mov	r16,r17
	rol	r16
	ldi	r17,k00
	rol	r17
	sts	D0139,r16
	lds	r16,D011E
	lds	r17,D011F
	rol	r16
	mov	r16,r17
	rol	r16
	sts	D013B,r16
	ldi	r16,k00
	sts	D011C,r16
	sts	D011D,r16
	sts	D011E,r16
	sts	D011F,r16
	lds	r16,D0144
	tst	r16
	brne	L0D82
	lds	r16,D0145
	tst	r16
	brne	L0D82
	lds	r16,D013A
	cpi	r16,k03
	brcs	L0D82
	lds	r16,D013B
	cpi	r16,k03
	brcc	L0D82
	rcall	L0E23
	ldi	r16,k20
	rcall	L0E11
	rjmp	L0D90
L0D82:
	lds	r16,D0145
	cpi	r16,k01
	brne	L0D8D
	lds	r20,D013A
	rcall	L0E24
	rcall	L0E08
	lds	r16,D0145
	rjmp	L0D8F
L0D8D:
	tst	r16
	breq	L0D92
L0D8F:
	dec	r16
L0D90:
	sts	D0145,r16
L0D92:
	lds	r16,D0144
	tst	r16
	brne	L0DA5
	lds	r16,D0138
	cpi	r16,k03
	brcs	L0DA5
	lds	r16,D0139
	cpi	r16,k03
	brcc	L0DA5
	rcall	L0E23
	ldi	r20,k00
	ldi	r16,k84
	rcall	L095D
	ldi	r16,k08
	rcall	L0E11
	rjmp	L0DB7
L0DA5:
	lds	r16,D0144
	cpi	r16,k01
	brne	L0DB4
	lds	r20,D0138
	ldi	r16,k84
	rcall	L095D
	ldi	r16,k01
	sts	D0145,r16
	rcall	L0E08
	lds	r16,D0144
	rjmp	L0DB6
L0DB4:
	tst	r16
	breq	L0DBF
L0DB6:
	dec	r16
L0DB7:
	sts	D0144,r16
	rjmp	L0DBF
L0DBA:
	ldi	r16,k32
	sts	D0139,r16
	sts	D013B,r16
L0DBF:
	cbi	p1B,b4
	sbi	p1B,b4
	nop
	sbic	p10,b6
	rjmp	L0DC8
	lds	r16,D0142
	ori	r16,k08
	rjmp	L0DCB
L0DC8:
	lds	r16,D0142
	andi	r16,kF7
L0DCB:
	sts	D0142,r16
	cbi	p1B,b5
	sbi	p1B,b5
	nop
	sbic	p10,b6
	rjmp	L0DD4
	ori	r16,k10
	rjmp	L0DD5
L0DD4:
	andi	r16,kEF
L0DD5:
	sts	D0142,r16
	sbrs	r16,b6
	rjmp	L0DDC
	tst	r16
	brpl	L0DDC
	cbi	p1B,b4
L0DDC:
	sbrs	r16,b5
	rjmp	L0DE1
	tst	r16
	brpl	L0DE1
	cbi	p1B,b5
L0DE1:
	sbrc	r16,b1
	rjmp	L0DF7
	lds	r16,D0141
	sbrc	r16,b0
	rjmp	L0DF7
	lds	r16,D0126
	cpi	r16,kE0
	lds	r16,D0142
	brcc	L0DF0
	sbrc	r16,b3
	rjmp	L0DF5
	rjmp	L0DF2
L0DF0:
	sbrs	r16,b3
	rjmp	L0DF5
L0DF2:
	cbi	p12,b3
	cbi	p12,b2
	rjmp	L0DF7
L0DF5:
	sbi	p12,b2
	cbi	p12,b3
L0DF7:
	ld	r0,Y+
	out	p3F,r0
	ld	r31,Y+
	ld	r30,Y+
	ld	r23,Y+
	ld	r22,Y+
	ld	r21,Y+
	ld	r20,Y+
	ld	r19,Y+
	ld	r18,Y+
	ld	r17,Y+
	ld	r16,Y+
	ld	r3,Y+
	ld	r2,Y+
	ld	r1,Y+
	ld	r0,Y+
	reti
; pc=0xE08(0x1C10)
;
L0E08:
	ldi	r16,k00
	rcall	L0E26
	andi	r16,kBF
	sts	D0142,r16
	ori	r16,k20
	sts	D0142,r16
	ret
; pc=0xE11(0x1C22)
;
L0E11:
	rcall	L0E26
	ori	r16,k40
	sts	D0142,r16
	andi	r16,kDF
	sts	D0142,r16
	ldi	r16,k14
	ret
; pc=0xE1A(0x1C34)
;
L0E1A:
	in	r16,p04
	in	r17,p05
	ldd	r18,Z+o00
	ldd	r19,Z+o01
	add	r18,r16
	adc	r19,r17
	std	Z+o00,r18
	std	Z+o01,r19
	ret
; pc=0xE23(0x1C46)
;
L0E23:
	ldi	r20,k00
L0E24:
	ldi	r16,k85
	rjmp	L095D
L0E26:
	sts	D013E,r16
	lds	r16,D0142
	ret
; pc=0xE2B(0x1C56)
;
L0E2B:
	ldi	r17,k18
	out	p25,r17
	ldi	r17,kFF
	out	p24,r17
	out	p23,r20
	andi	r16,k1F
	ori	r16,k18
	out	p25,r16
	ret
; pc=0xE34(0x1C68)
;
L0E34:
	nop
	dec	r16
	brne	L0E34
	ret
; pc=0xE38(0x1C70)
;
L0E38:
	sts	D0147,r16
L0E3A:
	lds	r16,D0147
	tst	r16
	brne	L0E3A
	ret
; pc=0xE3F(0x1C7E)
;
L0E3F:
	sbiw	r28,k01
	out	p09,r16
	ldi	r16,k98
	out	p0A,r16
	rcall	L0E47
	std	Y+o00,r16
	adiw	r28,k01
	ret
; pc=0xE47(0x1C8E)
;
L0E47:
	ldi	r16,k00
	sts	D0249,r16
	sts	D0248,r16
	sts	D025B,r16
	sts	D025A,r16
	ret
; pc=0xE51(0x1CA2)
;
L0E51:
	rcall	L0E47
	ret
; pc=0xE53(0x1CA6)
;
	rcall	L0E69
	st	-Y,r0
	in	r16,p0C
	lds	r30,D0248
	inc	r30
	sts	D0248,r30
	lds	r17,D0249
	ldi	r31,k00
	subi	r30,kB8
	sbci	r31,kFE
	std	Z+o00,r16
L0E61:
	ld	r0,Y+
	out	p3F,r0
	ld	r31,Y+
	ld	r30,Y+
	ld	r17,Y+
	ld	r16,Y+
	ld	r0,Y+
	reti
; pc=0xE69(0x1CD2)
;
L0E69:
	st	-Y,r0
	st	-Y,r16
	st	-Y,r17
	st	-Y,r30
	st	-Y,r31
	in	r0,p3F
	ret
; pc=0xE70(0x1CE0)
;
	rcall	L0E69
	st	-Y,r0
	lds	r16,D025A
	lds	r17,D025B
	cp	r16,r17
	breq	L0E84
	lds	r30,D025B
	inc	r30
	andi	r30,k0F
	sts	D025B,r30
	ldi	r31,k00
	subi	r30,kB6
	sbci	r31,kFD
	ldd	r16,Z+o00
	out	p0C,r16
	rjmp	L0E61
L0E84:
	cbi	p0A,b5
	rjmp	L0E61
L0E86:
	lds	r16,D0248
	lds	r17,D0249
	cp	r16,r17
	breq	L0E86
	lds	r30,D0249
	inc	r30
	sts	D0249,r30
	ldi	r31,k00
	subi	r30,kB8
	sbci	r31,kFE
	ldd	r16,Z+o00
	ret
; pc=0xE96(0x1D2C)
;
L0E96:
	lds	r17,D025A
	inc	r17
	andi	r17,k0F
L0E9A:
	lds	r18,D025B
	cp	r17,r18
	breq	L0E9A
	mov	r30,r17
	ldi	r31,k00
	subi	r30,kB6
	sbci	r31,kFD
	std	Z+o00,r16
	sts	D025A,r17
	sbi	p0A,b5
	ret
; pc=0xEA7(0x1D4E)
;
L0EA7:
	rjmp	L0EA7
; pc=0xEA8(0x1D50)
;
L0EA8:
	dec	r20
	brmi	L0EAC
	lsl	r16
	brne	L0EA8
L0EAC:
	ret
; pc=0xEAD(0x1D5A)
;
L0EAD:
	clr	r0
	ldi	r30,k08
L0EAF:
	dec	r30
	brmi	L0EB7
	rol	r16
	rol	r0
	cp	r0,r20
	brcs	L0EAF
	sub	r0,r20
	rjmp	L0EAF
L0EB7:
	rol	r16
	mov	r20,r0
	com	r16
	ret
; pc=0xEBB(0x1D76)
;
L0EBB:
	lpm
	mov	r23,r0
	adiw	r30,k01
	lpm
	mov	r22,r0
	adiw	r30,k01
L0EC1:
	lpm
	mov	r21,r0
	adiw	r30,k01
L0EC4:
	lpm
	mov	r20,r0
	adiw	r30,k01
	lpm
	adiw	r30,k01
	mov	r1,r0
	bst	r0,b1
	lpm
	adiw	r30,k01
	mov	r2,r0
	lpm
	adiw	r30,k01
	mov	r3,r0
	ret
; pc=0xED2(0x1DA4)
;
L0ED2:
	rcall	L0EC4
	sub	r16,r20
	ldi	r17,k00
	rjmp	L0ED9
	rcall	L0EC1
	sub	r16,r20
	sbc	r17,r21
L0ED9:
	ldi	r18,k00
	ldi	r19,k00
	rjmp	L0EE1
	rcall	L0EBB
	sub	r16,r20
	sbc	r17,r21
	sbc	r18,r22
	sbc	r19,r23
L0EE1:
	brcs	L0EFD
	sbrc	r1,b0
	rjmp	L0F00
	rcall	L0F21
	mov	r20,r0
	rcall	L0F21
	cp	r16,r20
	cpc	r17,r0
	sbci	r18,k00
	sbci	r19,k00
	brcc	L0EFD
	brtc	L0EF5
	add	r30,r16
	adc	r31,r17
L0EEF:
	lpm
	mov	r30,r2
	mov	r31,r3
	sub	r30,r0
	sbci	r31,k00
	ijmp
; pc=0xEF5(0x1DEA)
;
L0EF5:
	lsl	r16
	rol	r17
	add	r30,r16
	adc	r31,r17
L0EF9:
	rcall	L0F21
	mov	r2,r0
	rcall	L0F21
	mov	r3,r0
L0EFD:
	mov	r30,r2
	mov	r31,r3
	ijmp
; pc=0xF00(0x1E00)
;
L0F00:
	brne	L0F03
L0F01:
	brtc	L0EF9
	rjmp	L0EEF
L0F03:
	adiw	r30,k01
	brts	L0F06
	adiw	r30,k01
L0F06:
	ldi	r21,k00
	ldi	r22,k00
	ldi	r23,k00
	rcall	L0F21
	mov	r20,r0
	cpi	r20,kFB
	brcs	L0F1A
	breq	L0EFD
	cpi	r20,kFF
	breq	L0F18
	cpi	r20,kFE
	breq	L0F16
	rcall	L0F21
	mov	r23,r0
	rcall	L0F21
	mov	r22,r0
L0F16:
	rcall	L0F21
	mov	r21,r0
L0F18:
	rcall	L0F21
	mov	r20,r0
L0F1A:
	sub	r16,r20
	sbc	r17,r21
	sbc	r18,r22
	sbc	r19,r23
	breq	L0F01
	brcs	L0EFD
	rjmp	L0F03
L0F21:
	lpm
	adiw	r30,k01
	ret
; pc=0xF24(0x1E48)
;
	push	r27
	push	r26
	mov	r26,r16
	mov	r27,r17
	rjmp	L0F2C
L0F29:
	lpm
	adiw	r30,k01
	st	X+,r0
L0F2C:
	subi	r20,k01
	sbci	r21,k00
	brcc	L0F29
	pop	r26
	pop	r27
	ret
; pc=0xF32(0x1E64)
;
	clr	r0
	rjmp	L0F35
L0F34:
	st	Z+,r0
L0F35:
	subi	r16,k01
	sbci	r17,k00
	brcc	L0F34
	ret
; pc=0xF39(0x1E72)
;
	nop
	st	-Y,r15
	st	-Y,r14
	st	-Y,r13
	st	-Y,r12
	st	-Y,r11
	st	-Y,r10
	st	-Y,r9
	st	-Y,r8
	st	-Y,r7
	st	-Y,r6
L0F44:
	st	-Y,r5
L0F45:
	st	-Y,r4
L0F46:
	st	-Y,r27
L0F47:
	st	-Y,r26
	st	-Y,r25
	st	-Y,r24
	ret
; pc=0xF4B(0x1E96)
;
	ldd	r15,Y+o0F
	ldd	r14,Y+o0E
	ldd	r13,Y+o0D
	ldd	r12,Y+o0C
	ldd	r11,Y+o0B
	ldd	r10,Y+o0A
	ldd	r9,Y+o09
	ldd	r8,Y+o08
	ldd	r7,Y+o07
	ldd	r6,Y+o06
L0F55:
	ldd	r5,Y+o05
L0F56:
	ldd	r4,Y+o04
L0F57:
	ldd	r27,Y+o03
L0F58:
	ldd	r26,Y+o02
	ldd	r25,Y+o01
	ldd	r24,Y+o00
	ldi	r31,k00
	in	r0,p3F
	cli
	add	r28,r30
	adc	r29,r31
	out	p3F,r0
	ret
; pc=0xF62(0x1EC4)
;
	.dw	0xFFFF	; pc=0x0F62(0x1EC4)
	.dw	0xFFFF	; pc=0x0F63(0x1EC6)
	.dw	0xFFFF	; pc=0x0F64(0x1EC8)
	.dw	0xFFFF	; pc=0x0F65(0x1ECA)
	.dw	0xFFFF	; pc=0x0F66(0x1ECC)
	.dw	0xFFFF	; pc=0x0F67(0x1ECE)
	.dw	0xFFFF	; pc=0x0F68(0x1ED0)
	.dw	0xFFFF	; pc=0x0F69(0x1ED2)
	.dw	0xFFFF	; pc=0x0F6A(0x1ED4)
	.dw	0xFFFF	; pc=0x0F6B(0x1ED6)
	.dw	0xFFFF	; pc=0x0F6C(0x1ED8)
	.dw	0xFFFF	; pc=0x0F6D(0x1EDA)
	.dw	0xFFFF	; pc=0x0F6E(0x1EDC)
	.dw	0xFFFF	; pc=0x0F6F(0x1EDE)
	.dw	0xFFFF	; pc=0x0F70(0x1EE0)
	.dw	0xFFFF	; pc=0x0F71(0x1EE2)
	.dw	0xFFFF	; pc=0x0F72(0x1EE4)
	.dw	0xFFFF	; pc=0x0F73(0x1EE6)
	.dw	0xFFFF	; pc=0x0F74(0x1EE8)
	.dw	0xFFFF	; pc=0x0F75(0x1EEA)
	.dw	0xFFFF	; pc=0x0F76(0x1EEC)
	.dw	0xFFFF	; pc=0x0F77(0x1EEE)
	.dw	0xFFFF	; pc=0x0F78(0x1EF0)
	.dw	0xFFFF	; pc=0x0F79(0x1EF2)
	.dw	0xFFFF	; pc=0x0F7A(0x1EF4)
	.dw	0xFFFF	; pc=0x0F7B(0x1EF6)
	.dw	0xFFFF	; pc=0x0F7C(0x1EF8)
	.dw	0xFFFF	; pc=0x0F7D(0x1EFA)
	.dw	0xFFFF	; pc=0x0F7E(0x1EFC)
	.dw	0xFFFF	; pc=0x0F7F(0x1EFE)
	.dw	0xFFFF	; pc=0x0F80(0x1F00)
	.dw	0xFFFF	; pc=0x0F81(0x1F02)
	.dw	0xFFFF	; pc=0x0F82(0x1F04)
	.dw	0xFFFF	; pc=0x0F83(0x1F06)
	.dw	0xFFFF	; pc=0x0F84(0x1F08)
	.dw	0xFFFF	; pc=0x0F85(0x1F0A)
	.dw	0xFFFF	; pc=0x0F86(0x1F0C)
	.dw	0xFFFF	; pc=0x0F87(0x1F0E)
	.dw	0xFFFF	; pc=0x0F88(0x1F10)
	.dw	0xFFFF	; pc=0x0F89(0x1F12)
	.dw	0xFFFF	; pc=0x0F8A(0x1F14)
	.dw	0xFFFF	; pc=0x0F8B(0x1F16)
	.dw	0xFFFF	; pc=0x0F8C(0x1F18)
	.dw	0xFFFF	; pc=0x0F8D(0x1F1A)
	.dw	0xFFFF	; pc=0x0F8E(0x1F1C)
	.dw	0xFFFF	; pc=0x0F8F(0x1F1E)
	.dw	0xFFFF	; pc=0x0F90(0x1F20)
	.dw	0xFFFF	; pc=0x0F91(0x1F22)
	.dw	0xFFFF	; pc=0x0F92(0x1F24)
	.dw	0xFFFF	; pc=0x0F93(0x1F26)
	.dw	0xFFFF	; pc=0x0F94(0x1F28)
	.dw	0xFFFF	; pc=0x0F95(0x1F2A)
	.dw	0xFFFF	; pc=0x0F96(0x1F2C)
	.dw	0xFFFF	; pc=0x0F97(0x1F2E)
	.dw	0xFFFF	; pc=0x0F98(0x1F30)
	.dw	0xFFFF	; pc=0x0F99(0x1F32)
	.dw	0xFFFF	; pc=0x0F9A(0x1F34)
	.dw	0xFFFF	; pc=0x0F9B(0x1F36)
	.dw	0xFFFF	; pc=0x0F9C(0x1F38)
	.dw	0xFFFF	; pc=0x0F9D(0x1F3A)
	.dw	0xFFFF	; pc=0x0F9E(0x1F3C)
	.dw	0xFFFF	; pc=0x0F9F(0x1F3E)
	.dw	0xFFFF	; pc=0x0FA0(0x1F40)
	.dw	0xFFFF	; pc=0x0FA1(0x1F42)
	.dw	0xFFFF	; pc=0x0FA2(0x1F44)
	.dw	0xFFFF	; pc=0x0FA3(0x1F46)
	.dw	0xFFFF	; pc=0x0FA4(0x1F48)
	.dw	0xFFFF	; pc=0x0FA5(0x1F4A)
	.dw	0xFFFF	; pc=0x0FA6(0x1F4C)
	.dw	0xFFFF	; pc=0x0FA7(0x1F4E)
	.dw	0xFFFF	; pc=0x0FA8(0x1F50)
	.dw	0xFFFF	; pc=0x0FA9(0x1F52)
	.dw	0xFFFF	; pc=0x0FAA(0x1F54)
	.dw	0xFFFF	; pc=0x0FAB(0x1F56)
	.dw	0xFFFF	; pc=0x0FAC(0x1F58)
	.dw	0xFFFF	; pc=0x0FAD(0x1F5A)
	.dw	0xFFFF	; pc=0x0FAE(0x1F5C)
	.dw	0xFFFF	; pc=0x0FAF(0x1F5E)
	.dw	0xFFFF	; pc=0x0FB0(0x1F60)
	.dw	0xFFFF	; pc=0x0FB1(0x1F62)
	.dw	0xFFFF	; pc=0x0FB2(0x1F64)
	.dw	0xFFFF	; pc=0x0FB3(0x1F66)
	.dw	0xFFFF	; pc=0x0FB4(0x1F68)
	.dw	0xFFFF	; pc=0x0FB5(0x1F6A)
	.dw	0xFFFF	; pc=0x0FB6(0x1F6C)
	.dw	0xFFFF	; pc=0x0FB7(0x1F6E)
	.dw	0xFFFF	; pc=0x0FB8(0x1F70)
	.dw	0xFFFF	; pc=0x0FB9(0x1F72)
	.dw	0xFFFF	; pc=0x0FBA(0x1F74)
	.dw	0xFFFF	; pc=0x0FBB(0x1F76)
	.dw	0xFFFF	; pc=0x0FBC(0x1F78)
	.dw	0xFFFF	; pc=0x0FBD(0x1F7A)
	.dw	0xFFFF	; pc=0x0FBE(0x1F7C)
	.dw	0xFFFF	; pc=0x0FBF(0x1F7E)
	.dw	0xFFFF	; pc=0x0FC0(0x1F80)
	.dw	0xFFFF	; pc=0x0FC1(0x1F82)
	.dw	0xFFFF	; pc=0x0FC2(0x1F84)
	.dw	0xFFFF	; pc=0x0FC3(0x1F86)
	.dw	0xFFFF	; pc=0x0FC4(0x1F88)
	.dw	0xFFFF	; pc=0x0FC5(0x1F8A)
	.dw	0xFFFF	; pc=0x0FC6(0x1F8C)
	.dw	0xFFFF	; pc=0x0FC7(0x1F8E)
	.dw	0xFFFF	; pc=0x0FC8(0x1F90)
	.dw	0xFFFF	; pc=0x0FC9(0x1F92)
	.dw	0xFFFF	; pc=0x0FCA(0x1F94)
	.dw	0xFFFF	; pc=0x0FCB(0x1F96)
	.dw	0xFFFF	; pc=0x0FCC(0x1F98)
	.dw	0xFFFF	; pc=0x0FCD(0x1F9A)
	.dw	0xFFFF	; pc=0x0FCE(0x1F9C)
	.dw	0xFFFF	; pc=0x0FCF(0x1F9E)
	.dw	0xFFFF	; pc=0x0FD0(0x1FA0)
	.dw	0xFFFF	; pc=0x0FD1(0x1FA2)
	.dw	0xFFFF	; pc=0x0FD2(0x1FA4)
	.dw	0xFFFF	; pc=0x0FD3(0x1FA6)
	.dw	0xFFFF	; pc=0x0FD4(0x1FA8)
	.dw	0xFFFF	; pc=0x0FD5(0x1FAA)
	.dw	0xFFFF	; pc=0x0FD6(0x1FAC)
	.dw	0xFFFF	; pc=0x0FD7(0x1FAE)
	.dw	0xFFFF	; pc=0x0FD8(0x1FB0)
	.dw	0xFFFF	; pc=0x0FD9(0x1FB2)
	.dw	0xFFFF	; pc=0x0FDA(0x1FB4)
	.dw	0xFFFF	; pc=0x0FDB(0x1FB6)
	.dw	0xFFFF	; pc=0x0FDC(0x1FB8)
	.dw	0xFFFF	; pc=0x0FDD(0x1FBA)
	.dw	0xFFFF	; pc=0x0FDE(0x1FBC)
	.dw	0xFFFF	; pc=0x0FDF(0x1FBE)
	.dw	0xFFFF	; pc=0x0FE0(0x1FC0)
	.dw	0xFFFF	; pc=0x0FE1(0x1FC2)
	.dw	0xFFFF	; pc=0x0FE2(0x1FC4)
	.dw	0xFFFF	; pc=0x0FE3(0x1FC6)
	.dw	0xFFFF	; pc=0x0FE4(0x1FC8)
	.dw	0xFFFF	; pc=0x0FE5(0x1FCA)
	.dw	0xFFFF	; pc=0x0FE6(0x1FCC)
	.dw	0xFFFF	; pc=0x0FE7(0x1FCE)
	.dw	0xFFFF	; pc=0x0FE8(0x1FD0)
	.dw	0xFFFF	; pc=0x0FE9(0x1FD2)
	.dw	0xFFFF	; pc=0x0FEA(0x1FD4)
	.dw	0xFFFF	; pc=0x0FEB(0x1FD6)
	.dw	0xFFFF	; pc=0x0FEC(0x1FD8)
	.dw	0xFFFF	; pc=0x0FED(0x1FDA)
	.dw	0xFFFF	; pc=0x0FEE(0x1FDC)
	.dw	0xFFFF	; pc=0x0FEF(0x1FDE)
	.dw	0xFFFF	; pc=0x0FF0(0x1FE0)
	.dw	0xFFFF	; pc=0x0FF1(0x1FE2)
	.dw	0xFFFF	; pc=0x0FF2(0x1FE4)
	.dw	0xFFFF	; pc=0x0FF3(0x1FE6)
	.dw	0xFFFF	; pc=0x0FF4(0x1FE8)
	.dw	0xFFFF	; pc=0x0FF5(0x1FEA)
	.dw	0xFFFF	; pc=0x0FF6(0x1FEC)
	.dw	0xFFFF	; pc=0x0FF7(0x1FEE)
	.dw	0xFFFF	; pc=0x0FF8(0x1FF0)
	.dw	0xFFFF	; pc=0x0FF9(0x1FF2)
	.dw	0xFFFF	; pc=0x0FFA(0x1FF4)
	.dw	0xFFFF	; pc=0x0FFB(0x1FF6)
	.dw	0xFFFF	; pc=0x0FFC(0x1FF8)
	.dw	0xFFFF	; pc=0x0FFD(0x1FFA)
	.dw	0xFFFF	; pc=0x0FFE(0x1FFC)
	.dw	0xFFFF	; pc=0x0FFF(0x1FFE)
;
; last flash byte address = 0x1FFF
; last flash word address = 0x0FFF
;---------------------------------------
	.dseg
	.org	0x011C
;
D011C:
	.byte	1
D011D:
	.byte	1
D011E:
	.byte	1
D011F:
	.byte	1
D0120:
	.byte	1
D0121:
	.byte	1
D0122:
	.byte	1
D0123:
	.byte	1
D0124:
	.byte	1
D0125:
	.byte	1
D0126:
	.byte	1
D0127:
	.byte	1
D0128:
	.byte	1
D0129:
	.byte	1
D012A:
	.byte	1
D012B:
	.byte	1
D012C:
	.byte	1
D012D:
	.byte	1
D012E:
	.byte	1
D012F:
	.byte	1
D0130:
	.byte	1
D0131:
	.byte	5
D0136:
	.byte	1
D0137:
	.byte	1
D0138:
	.byte	1
D0139:
	.byte	1
D013A:
	.byte	1
D013B:
	.byte	1
D013C:
	.byte	1
D013D:
	.byte	1
D013E:
	.byte	1
D013F:
	.byte	1
D0140:
	.byte	1
D0141:
	.byte	1
D0142:
	.byte	1
D0143:
	.byte	1
D0144:
	.byte	1
D0145:
	.byte	1
D0146:
	.byte	1
D0147:
	.byte	257
D0248:
	.byte	1
D0249:
	.byte	17
D025A:
	.byte	1
D025B:
;
; last lds/sts data byte at 0x025B
;---------------------------------------
;<eof>
